#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(i2c_handle_smbus_alert, "_gpl", "");
KSYMTAB_FUNC(i2c_new_slave_host_notify_device, "_gpl", "");
KSYMTAB_FUNC(i2c_free_slave_host_notify_device, "_gpl", "");
KSYMTAB_FUNC(i2c_register_spd, "_gpl", "");

SYMBOL_CRC(i2c_handle_smbus_alert, 0xabd96b52, "_gpl");
SYMBOL_CRC(i2c_new_slave_host_notify_device, 0xb4e7b719, "_gpl");
SYMBOL_CRC(i2c_free_slave_host_notify_device, 0x1495b61c, "_gpl");
SYMBOL_CRC(i2c_register_spd, 0xc1db69f1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3b426235, "i2c_register_driver" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x4b83d098, "i2c_smbus_read_byte" },
	{ 0x3b587194, "device_for_each_child" },
	{ 0x1588a82a, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x24facef8, "i2c_verify_client" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x21311a17, "_dev_warn" },
	{ 0x4aafc03a, "devm_kmalloc" },
	{ 0xba21f8ed, "devm_request_threaded_irq" },
	{ 0xf63b8bee, "__dev_fwnode" },
	{ 0x1903d85e, "fwnode_irq_get_byname" },
	{ 0xd0af9ff7, "devm_gpiod_get" },
	{ 0x98c64c8b, "gpiod_to_irq" },
	{ 0xc755f30e, "_dev_info" },
	{ 0xec992de3, "i2c_del_driver" },
	{ 0x46090f62, "i2c_handle_smbus_host_notify" },
	{ 0xe15e90b3, "i2c_slave_unregister" },
	{ 0x037a0cba, "kfree" },
	{ 0x2f3a38ef, "i2c_unregister_device" },
	{ 0x1d94a218, "dmi_memdev_handle" },
	{ 0x95ef1ccc, "dmi_memdev_size" },
	{ 0xd8d68ab1, "dmi_memdev_type" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3ce7913c, "i2c_new_scanned_device" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xad203384, "kmalloc_caches" },
	{ 0x1f2c54dd, "__kmalloc_cache_noprof" },
	{ 0xe05f9f01, "i2c_new_client_device" },
	{ 0x40f54699, "i2c_slave_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xae778c8b, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("i2c:smbus_alert");

MODULE_INFO(srcversion, "31BC71BB2027844E2B26630");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
