#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(p54_parse_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_read_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_parse_firmware, "_gpl", "");
KSYMTAB_FUNC(p54_free_skb, "_gpl", "");
KSYMTAB_FUNC(p54_rx, "_gpl", "");
KSYMTAB_FUNC(p54_init_common, "_gpl", "");
KSYMTAB_FUNC(p54_register_common, "_gpl", "");
KSYMTAB_FUNC(p54_free_common, "_gpl", "");
KSYMTAB_FUNC(p54_unregister_common, "_gpl", "");

SYMBOL_CRC(p54_parse_eeprom, 0xc60519f0, "_gpl");
SYMBOL_CRC(p54_read_eeprom, 0x20116b71, "_gpl");
SYMBOL_CRC(p54_parse_firmware, 0x4eae1c10, "_gpl");
SYMBOL_CRC(p54_free_skb, 0xad00d917, "_gpl");
SYMBOL_CRC(p54_rx, 0x9ba6be3a, "_gpl");
SYMBOL_CRC(p54_init_common, 0xe3647a2f, "_gpl");
SYMBOL_CRC(p54_register_common, 0x37ecae5a, "_gpl");
SYMBOL_CRC(p54_free_common, 0xf103abbc, "_gpl");
SYMBOL_CRC(p54_unregister_common, 0xe87e48cb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0xc73b0237, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9dd07269, "__ieee80211_get_tx_led_name" },
	{ 0x33ea29bd, "skb_queue_purge_reason" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x890c180c, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x9e081acb, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xe8cdc4a9, "__ieee80211_get_rx_led_name" },
	{ 0xc755f30e, "_dev_info" },
	{ 0xe8e8a463, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xd4cafeae, "ieee80211_queue_delayed_work" },
	{ 0x5a9fdad6, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xe9a03fc8, "skb_pull" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x652dcc7d, "skb_push" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x6b0481c5, "ieee80211_free_txskb" },
	{ 0xceb7313e, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x703d5809, "ieee80211_alloc_hw_nm" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x21311a17, "_dev_warn" },
	{ 0x3ca295ab, "ieee80211_emulate_add_chanctx" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x1972c7c7, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x2804f3e7, "ieee80211_stop_queue" },
	{ 0x813a74e7, "__netdev_alloc_skb" },
	{ 0xb83bb881, "skb_trim" },
	{ 0x68e79bf8, "skb_unlink" },
	{ 0x7815099a, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x2b4fc3c4, "__ieee80211_get_assoc_led_name" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x57647c18, "param_ops_bool" },
	{ 0x294c708c, "ieee80211_unregister_hw" },
	{ 0x1f2c54dd, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x03d37d39, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x57fce593, "dev_kfree_skb_any_reason" },
	{ 0x18adf17f, "_dev_printk" },
	{ 0xf900a680, "ieee80211_emulate_remove_chanctx" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xad203384, "kmalloc_caches" },
	{ 0x76134737, "ieee80211_rx_irqsafe" },
	{ 0x1dd32eea, "skb_queue_head" },
	{ 0x3fd561ba, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x3a123fb0, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x903472b9, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xa26b0a22, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x32ce34a8, "ieee80211_beacon_loss" },
	{ 0xc9193e07, "regulatory_hint" },
	{ 0x037a0cba, "kfree" },
	{ 0x280a8ff0, "led_classdev_unregister" },
	{ 0xfe815a44, "ieee80211_register_hw" },
	{ 0x50475431, "ieee80211_emulate_change_chanctx" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x5c99ee06, "ieee80211_get_hdrlen_from_skb" },
	{ 0x53d91e27, "__ieee80211_get_radio_led_name" },
	{ 0xae778c8b, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "C1FE7481AB18C588612452C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
