#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt7615_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7615_ops, "_gpl", "");
KSYMTAB_FUNC(mt7615_thermal_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_wait_for_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_work, "_gpl", "");
KSYMTAB_FUNC(mt7615_reg_map, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_blink, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_brightness, "_gpl", "");
KSYMTAB_FUNC(mt7615_register_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_unregister_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_device, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_fill_msg, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7622_trigger_hif_int, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(__mt7663_load_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_exit, "_gpl", "");
KSYMTAB_FUNC(mt7615_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_poll, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_set_rates, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_enable_rtscts, "_gpl", "");
KSYMTAB_FUNC(mt7615_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7615_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7615_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_debugfs, "_gpl", "");

SYMBOL_CRC(mt7615_set_channel, 0x7b8e497f, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_add, 0xefe87178, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_remove, 0x18ca6561, "_gpl");
SYMBOL_CRC(mt7615_ops, 0x5f65f0a3, "_gpl");
SYMBOL_CRC(mt7615_thermal_init, 0x829b9f83, "_gpl");
SYMBOL_CRC(mt7615_wait_for_mcu_init, 0x46b3292a, "_gpl");
SYMBOL_CRC(mt7615_init_txpower, 0xe4f35524, "_gpl");
SYMBOL_CRC(mt7615_init_work, 0x7d230f31, "_gpl");
SYMBOL_CRC(mt7615_reg_map, 0x40f6d388, "_gpl");
SYMBOL_CRC(mt7615_led_set_blink, 0xcd342cf7, "_gpl");
SYMBOL_CRC(mt7615_led_set_brightness, 0x1dfc65a9, "_gpl");
SYMBOL_CRC(mt7615_register_ext_phy, 0x0a41b09e, "_gpl");
SYMBOL_CRC(mt7615_unregister_ext_phy, 0xb2ac5ff3, "_gpl");
SYMBOL_CRC(mt7615_init_device, 0xb184f71d, "_gpl");
SYMBOL_CRC(mt7615_mcu_fill_msg, 0xbdac49bc, "_gpl");
SYMBOL_CRC(mt7615_mcu_parse_response, 0xd38d3560, "_gpl");
SYMBOL_CRC(mt7622_trigger_hif_int, 0x078a4c22, "_gpl");
SYMBOL_CRC(mt7615_mcu_restart, 0xa6a15cb3, "_gpl");
SYMBOL_CRC(__mt7663_load_firmware, 0x6c79def1, "_gpl");
SYMBOL_CRC(mt7615_mcu_init, 0x54bf1f82, "_gpl");
SYMBOL_CRC(mt7615_mcu_exit, 0x5a7b0785, "_gpl");
SYMBOL_CRC(mt7615_eeprom_init, 0x73eb965e, "_gpl");
SYMBOL_CRC(mt7615_mac_write_txwi, 0xe8b72c20, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_poll, 0xef71e452, "_gpl");
SYMBOL_CRC(mt7615_mac_set_rates, 0x03b2ab96, "_gpl");
SYMBOL_CRC(mt7615_mac_enable_rtscts, 0xdd2ccdcc, "_gpl");
SYMBOL_CRC(mt7615_rx_check, 0x8b981d09, "_gpl");
SYMBOL_CRC(mt7615_queue_rx_skb, 0x2a22c7ed, "_gpl");
SYMBOL_CRC(mt7615_update_channel, 0xb9b901da, "_gpl");
SYMBOL_CRC(mt7615_tx_token_put, 0x2f304f84, "_gpl");
SYMBOL_CRC(mt7615_init_debugfs, 0x3e47007e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xedb04456, "mt76_wcid_key_setup" },
	{ 0xc755f30e, "_dev_info" },
	{ 0x815d54cf, "mt76_connac_mcu_set_p2p_oppps" },
	{ 0xc7eb320c, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x7a09e92e, "mt76_rx" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2aadb63d, "mt76_connac_mcu_sched_scan_req" },
	{ 0x722f7e80, "mt76_connac_mcu_alloc_wtbl_req" },
	{ 0xa183a4c1, "mt76_connac_mcu_uni_add_bss" },
	{ 0xc297b4f4, "mt76_phy_dfs_state" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x9268415b, "wiphy_to_ieee80211_hw" },
	{ 0x60f0f91a, "debugfs_attr_read" },
	{ 0x8fa954af, "mt76_connac_mcu_hw_scan" },
	{ 0xd90e77e0, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd4cafeae, "ieee80211_queue_delayed_work" },
	{ 0x0c3c64d1, "mt76_eeprom_init" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0xa3c7a433, "perf_trace_run_bpf_submit" },
	{ 0x5a9fdad6, "_dev_err" },
	{ 0xdaaa2e91, "simple_open" },
	{ 0xe9a03fc8, "skb_pull" },
	{ 0x7629861a, "debugfs_create_file_unsafe" },
	{ 0xe3366571, "mt76_mcu_skb_send_and_get_msg" },
	{ 0xcef9e586, "simple_attr_release" },
	{ 0x983c8b3a, "mt76_update_survey_active_time" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd1c21337, "mt76_connac_mcu_beacon_loss_iter" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x652032cb, "mac_pton" },
	{ 0x13e8c5f7, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x652dcc7d, "skb_push" },
	{ 0x40c1b850, "seq_putc" },
	{ 0x4c20eed2, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4566e68f, "ieee80211_wake_queues" },
	{ 0x639c3114, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x74e2a492, "ieee80211_beacon_get_template" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xb194497c, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x0064fa84, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x19cf4867, "__mt76_mcu_msg_alloc" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xab5e4a27, "mt76_connac_pm_dequeue_skbs" },
	{ 0x6eb0dc06, "mt76_connac_mcu_set_pm" },
	{ 0x93351906, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x1a36c5f2, "devm_hwmon_device_register_with_groups" },
	{ 0x3ca295ab, "ieee80211_emulate_add_chanctx" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x38c02df4, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9dad912, "debugfs_create_u32" },
	{ 0x1972c7c7, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xf345db06, "mt76_connac_mcu_start_patch" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb7925e86, "__SCK__tp_func_mac_txdone" },
	{ 0x617084dd, "mt76_sta_state" },
	{ 0x754b3fb7, "ieee80211_ready_on_channel" },
	{ 0xa3571d4d, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2e07bba2, "mt76_connac_mcu_del_wtbl_all" },
	{ 0x0f824227, "mt76_connac_mcu_init_download" },
	{ 0x173d0da1, "devm_kasprintf" },
	{ 0x9f35f084, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb4e06a9b, "mt76_connac_mcu_add_nested_tlv" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x9218ae69, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0x2d4f1930, "mt76_get_rate_power_limits" },
	{ 0x58042f01, "trace_event_buffer_reserve" },
	{ 0x9270bc86, "ieee80211_sched_scan_results" },
	{ 0xf82a5427, "ieee80211_scan_completed" },
	{ 0xa993eb95, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x99351e97, "mt76_insert_ccmp_hdr" },
	{ 0x79d3ddf2, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x57647c18, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1ab7f2ce, "mt76_sw_scan_complete" },
	{ 0xc86e5b80, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3bd91320, "seq_write" },
	{ 0x3cfdc5c8, "mt76_connac_mcu_start_firmware" },
	{ 0x94bfae2d, "____mt76_poll_msec" },
	{ 0x1f2c54dd, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0xbbcdac54, "mt76_connac_mcu_wtbl_ht_tlv" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x20c83aa8, "mt76_connac_mcu_rdd_cmd" },
	{ 0x973a0bf3, "seq_printf" },
	{ 0x1f35215f, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3c2d3295, "mt76_get_sar_power" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x3e15c9f7, "mt76_unregister_phy" },
	{ 0x29c2f00e, "debugfs_create_file_full" },
	{ 0xef96015c, "mt76_register_phy" },
	{ 0xab530f2e, "mt76_connac_mcu_wtbl_hdr_trans_tlv" },
	{ 0xbb61116f, "mt76_put_txwi" },
	{ 0x7c1832de, "mt76_wcid_cleanup" },
	{ 0xf9a0be32, "ieee80211_radar_detected" },
	{ 0xc85970cb, "mt76_connac_mcu_set_suspend_iter" },
	{ 0x96e42f22, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0x216d7adf, "single_release" },
	{ 0x4170c98c, "mt76_sw_scan" },
	{ 0x6ab35672, "mt76_queues_read" },
	{ 0x4230603c, "mt76_connac_mcu_set_hif_suspend" },
	{ 0xd10596cc, "mt76_sta_pre_rcu_remove" },
	{ 0x208fc015, "mt76_register_debugfs_fops" },
	{ 0xba9a67e9, "mt76_connac_mcu_wtbl_generic_tlv" },
	{ 0xcbb52d40, "mt76_connac_mcu_bss_omac_tlv" },
	{ 0x211e9fd7, "mt76_connac_mcu_sta_ba" },
	{ 0x8e52b794, "mt76_connac_mcu_bss_ext_tlv" },
	{ 0x67cdaaca, "ieee80211_queue_work" },
	{ 0xc56df08e, "napi_schedule_prep" },
	{ 0xd82308c9, "mt76_connac_mcu_wtbl_ba_tlv" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x55712b0e, "mt76_connac_mcu_patch_sem_ctrl" },
	{ 0x344c89ab, "__mt76_poll" },
	{ 0xf3eedae5, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x675d2174, "debugfs_create_u8" },
	{ 0x51364cb6, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xd4e572e2, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf900a680, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x560a15ec, "mt76_get_min_avg_rssi" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x322ca796, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xad203384, "kmalloc_caches" },
	{ 0x00758289, "ieee80211_csa_finish" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7fa1cfc9, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0xcd5c515b, "mt76_connac_mcu_set_rate_txpower" },
	{ 0xcdd34036, "mt76_update_channel" },
	{ 0x4c9ec0b8, "ieee80211_sta_register_airtime" },
	{ 0x335edee4, "mt76_connac_mcu_bss_basic_tlv" },
	{ 0x2b822ef8, "mt76_connac_mcu_sta_tlv" },
	{ 0x137f3edc, "device_set_wakeup_enable" },
	{ 0x48c5b053, "mt76_tx_worker_run" },
	{ 0xb718fe40, "mt76_init_sar_power" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xfab109c7, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x96bae924, "simple_attr_open" },
	{ 0x2d1025f3, "ieee80211_iterate_interfaces" },
	{ 0x1c4c6a0a, "debugfs_attr_write" },
	{ 0x982b5afe, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0x90290457, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4aafc03a, "devm_kmalloc" },
	{ 0x3fd561ba, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7b6a6c88, "firmware_request_nowarn" },
	{ 0x3a123fb0, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x00c5ff38, "mt76_tx_status_skb_get" },
	{ 0xaefd9c36, "trace_raw_output_prep" },
	{ 0xd4b37c0e, "mt76_tx_status_lock" },
	{ 0x766953c9, "__trace_trigger_soft_disabled" },
	{ 0xa60625e1, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x5ed916fd, "debugfs_create_u16" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xa26b0a22, "ieee80211_free_hw" },
	{ 0x16ce9c8b, "mt76_connac_mcu_set_channel_domain" },
	{ 0x846c4228, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x74cf200f, "mt76_release_buffered_frames" },
	{ 0x359192e0, "request_firmware" },
	{ 0x480fb84f, "trace_event_printf" },
	{ 0xaf89b0dd, "mt76_get_txpower" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb2097bb0, "__tracepoint_mac_txdone" },
	{ 0x93d17d6d, "mt76_connac_pm_wake" },
	{ 0x9993fd07, "mt76_get_rate" },
	{ 0x5bbcc7f5, "mt76_wake_tx_queue" },
	{ 0x871d6a91, "ieee80211_tx_status_ext" },
	{ 0xb229af5c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x0b3ec05e, "mt76_connac_mcu_chip_config" },
	{ 0x09f9d6da, "mt76_get_antenna" },
	{ 0x037a0cba, "kfree" },
	{ 0x6460359b, "mt76_connac_mcu_sta_ba_tlv" },
	{ 0x072979a2, "__mt76_tx_complete_skb" },
	{ 0x34cb789f, "pcpu_hot" },
	{ 0xb2946660, "seq_lseek" },
	{ 0x908e2c30, "mt76_set_stream_caps" },
	{ 0x50475431, "ieee80211_emulate_change_chanctx" },
	{ 0xd44df17e, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5c99ee06, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x8b609f1e, "mt76_connac_mcu_update_arp_filter" },
	{ 0x5d6614cc, "mt76_connac_mcu_set_vif_ps" },
	{ 0x1588a82a, "__dynamic_dev_dbg" },
	{ 0xd2479b74, "mt76_mcu_rx_event" },
	{ 0x4e7cadd3, "mt76_alloc_phy" },
	{ 0xafaf117c, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x38606129, "mt76_wcid_init" },
	{ 0x1d0980b3, "mt76_tx_status_check" },
	{ 0x1ac9702a, "wake_up_process" },
	{ 0x200c68d1, "mt76_connac_free_pending_tx_skbs" },
	{ 0x33ea29bd, "skb_queue_purge_reason" },
	{ 0xc0203b4f, "mt76_connac_power_save_sched" },
	{ 0x3d6fa9a4, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5009a203, "cfg80211_reg_check_beaconing" },
	{ 0xec042ef4, "ieee80211_send_bar" },
	{ 0xedd9795c, "mt76_connac_mcu_wtbl_update_hdr_trans" },
	{ 0x5b478cf9, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa2e120ce, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x023d2a12, "mt76_tx" },
	{ 0x70838a5e, "mt76_wcid_add_poll" },
	{ 0x1d877836, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0xb419e86a, "__alloc_skb" },
	{ 0xb90efd1c, "mt76_connac_mcu_set_mac_enable" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0xae778c8b, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76-connac-lib,mac80211,cfg80211");


MODULE_INFO(srcversion, "920BD3EE78CE45EF33571D2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
