#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0x36e2b9a0, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0xe237791e, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0xb96bc496, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0xb9caec9e, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0x3d7d7cac, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x9211987b, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0x1f5122e6, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0x9c12cd22, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0xf62dada5, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0xc44590d5, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0x4e74a7de, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0xe434d978, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0xc421236a, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0x2bf25961, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0x298d4c18, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0xa65f5980, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0xeced83c6, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0xb8091a11, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0xccef699f, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0x34146290, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0xced747e4, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0x9d45a70d, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0x761648f1, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0xbf8e08e3, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0xbf119603, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0x7d977fe9, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0x57f63d8c, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0x5b829aba, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0xb9443d7a, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0x9e5810ab, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0xa9458242, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0xe0e7f786, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0xd4f1860a, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0x845b14a4, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0x0f41b3ea, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0x1c32ef89, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0x2a0a6e9b, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0x6473cf07, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0x9593a558, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0x6bbdde8e, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0x87712264, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0x2eabf396, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0xeae87206, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0x05258133, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0x7084a417, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0x10b89c23, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x1f77118d, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0xe4b5bfe5, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0xc09cc4f2, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0x5713cea9, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0xab7e06f9, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0x325f3bbc, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0x4afb8a9f, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0x759933c8, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0x14b16160, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x5baf75a4, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0x81406f62, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0xaedc530d, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0x999461a4, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0x32736c22, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0xcea1d978, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0xdadf030b, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0x4e576301, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0xdc66cc70, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0x336dd8f7, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0x996f5d55, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe2f7afbb, "mt76_csa_check" },
	{ 0x359377a6, "mt76_tx_status_skb_add" },
	{ 0xb2097bb0, "__tracepoint_mac_txdone" },
	{ 0x7349afea, "mt76_tx_check_agg_ssn" },
	{ 0x871d6a91, "ieee80211_tx_status_ext" },
	{ 0x19a5bf09, "mt76_stop_tx_queues" },
	{ 0x713aad1a, "___pskb_trim" },
	{ 0xb229af5c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x072979a2, "__mt76_tx_complete_skb" },
	{ 0x34cb789f, "pcpu_hot" },
	{ 0xb2946660, "seq_lseek" },
	{ 0xccf38962, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xed06fc9b, "ieee80211_restart_hw" },
	{ 0xd44df17e, "bpf_trace_run2" },
	{ 0x5c99ee06, "ieee80211_get_hdrlen_from_skb" },
	{ 0xa49fcc55, "kthread_park" },
	{ 0xd2479b74, "mt76_mcu_rx_event" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x38606129, "mt76_wcid_init" },
	{ 0x1d0980b3, "mt76_tx_status_check" },
	{ 0x1ac9702a, "wake_up_process" },
	{ 0x3d6fa9a4, "trace_event_buffer_commit" },
	{ 0xd55c84b1, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe480ea69, "napi_complete_done" },
	{ 0x1bc420d5, "ieee80211_get_tx_rates" },
	{ 0xec042ef4, "ieee80211_send_bar" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa2e120ce, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x023d2a12, "mt76_tx" },
	{ 0x1d877836, "__napi_schedule" },
	{ 0x826d2f2a, "mt76_csa_finish" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xedb04456, "mt76_wcid_key_setup" },
	{ 0xc755f30e, "_dev_info" },
	{ 0xc7eb320c, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x7a09e92e, "mt76_rx" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x0960a397, "kthread_unpark" },
	{ 0xc297b4f4, "mt76_phy_dfs_state" },
	{ 0x9268415b, "wiphy_to_ieee80211_hw" },
	{ 0x88eaea4a, "mt76_init_queue" },
	{ 0x60f0f91a, "debugfs_attr_read" },
	{ 0xb34761b4, "__mt76_sta_remove" },
	{ 0xd90e77e0, "mt76_tx_status_skb_done" },
	{ 0xd4cafeae, "ieee80211_queue_delayed_work" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0xa3c7a433, "perf_trace_run_bpf_submit" },
	{ 0x5a9fdad6, "_dev_err" },
	{ 0xf00c7e64, "debugfs_create_bool" },
	{ 0xe9a03fc8, "skb_pull" },
	{ 0xcef9e586, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x86c57794, "__SCK__tp_func_dev_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x652dcc7d, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xa2daf12f, "napi_enable" },
	{ 0x40c1b850, "seq_putc" },
	{ 0x4c20eed2, "trace_event_reg" },
	{ 0x4597495b, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x4566e68f, "ieee80211_wake_queues" },
	{ 0x639c3114, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd0f416e8, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x19cf4867, "__mt76_mcu_msg_alloc" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xe02d6d5e, "mt76_set_irq_mask" },
	{ 0x56294671, "bpf_trace_run1" },
	{ 0xa5d76f31, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9dad912, "debugfs_create_u32" },
	{ 0xb7925e86, "__SCK__tp_func_mac_txdone" },
	{ 0xca849f12, "mt76_seq_puts_array" },
	{ 0xa3571d4d, "ieee80211_stop_queues" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x0d7df24b, "__tracepoint_dev_irq" },
	{ 0x9f35f084, "seq_read" },
	{ 0x5afa387f, "mt76_mcu_get_response" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x58042f01, "trace_event_buffer_reserve" },
	{ 0xa993eb95, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1bf7441e, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc86e5b80, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3bd91320, "seq_write" },
	{ 0x94bfae2d, "____mt76_poll_msec" },
	{ 0x973a0bf3, "seq_printf" },
	{ 0x03d37d39, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x29c2f00e, "debugfs_create_file_full" },
	{ 0x7c1832de, "mt76_wcid_cleanup" },
	{ 0xf9a0be32, "ieee80211_radar_detected" },
	{ 0x216d7adf, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6ab35672, "mt76_queues_read" },
	{ 0x208fc015, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc56df08e, "napi_schedule_prep" },
	{ 0x1365fcfa, "napi_disable" },
	{ 0x57fce593, "dev_kfree_skb_any_reason" },
	{ 0x344c89ab, "__mt76_poll" },
	{ 0xf3eedae5, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x675d2174, "debugfs_create_u8" },
	{ 0x51364cb6, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4f1ba9fb, "mt76_dma_attach" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x4c9ec0b8, "ieee80211_sta_register_airtime" },
	{ 0x2948b9eb, "mt76_dma_rx_poll" },
	{ 0xfab109c7, "mt76_tx_status_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x96bae924, "simple_attr_open" },
	{ 0x1c4c6a0a, "debugfs_attr_write" },
	{ 0x4aafc03a, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3a123fb0, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x00c5ff38, "mt76_tx_status_skb_get" },
	{ 0xaefd9c36, "trace_raw_output_prep" },
	{ 0xd4b37c0e, "mt76_tx_status_lock" },
	{ 0x903472b9, "skb_dequeue" },
	{ 0x766953c9, "__trace_trigger_soft_disabled" },
	{ 0x480fb84f, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xae778c8b, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "862687FF1A41C46C8A84960");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
