#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qtnf_core_attach, "_gpl", "");
KSYMTAB_FUNC(qtnf_core_detach, "_gpl", "");
KSYMTAB_FUNC(qtnf_classify_skb, "_gpl", "");
KSYMTAB_FUNC(qtnf_wake_all_queues, "_gpl", "");
KSYMTAB_FUNC(qtnf_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(qtnf_trans_handle_rx_ctl_packet, "_gpl", "");
KSYMTAB_FUNC(qtnf_chipid_to_string, "_gpl", "");

SYMBOL_CRC(qtnf_core_attach, 0xa3220ba8, "_gpl");
SYMBOL_CRC(qtnf_core_detach, 0x353e6a71, "_gpl");
SYMBOL_CRC(qtnf_classify_skb, 0x226a77a7, "_gpl");
SYMBOL_CRC(qtnf_wake_all_queues, 0x5af91f62, "_gpl");
SYMBOL_CRC(qtnf_get_debugfs_dir, 0x61b246f8, "_gpl");
SYMBOL_CRC(qtnf_trans_handle_rx_ctl_packet, 0xa1f5a89d, "_gpl");
SYMBOL_CRC(qtnf_chipid_to_string, 0x31fab83c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc0e14fd1, "alloc_netdev_mqs" },
	{ 0x0d927a68, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6e92ca6c, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x6ad7fcc3, "cfg80211_put_bss" },
	{ 0xccefb71b, "cfg80211_ch_switch_notify" },
	{ 0xe8e8a463, "skb_queue_tail" },
	{ 0x9aadaba0, "ieee80211_get_channel_khz" },
	{ 0xf858585f, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3f0bb396, "__cfg80211_radar_event" },
	{ 0x8fd80cfb, "cfg80211_get_drvinfo" },
	{ 0xf78169c7, "init_net" },
	{ 0x459f5a9c, "platform_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x5733b834, "cfg80211_michael_mic_failure" },
	{ 0x674def09, "wiphy_apply_custom_regulatory" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb9aca671, "debugfs_remove" },
	{ 0x113bc68b, "cfg80211_del_sta_sinfo" },
	{ 0xff3ce81a, "cfg80211_update_owe_info_event" },
	{ 0x14e74bd1, "wiphy_unregister" },
	{ 0x62788fbf, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x760055e1, "netif_tx_stop_all_queues" },
	{ 0xd03bdf0d, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x75d6adbb, "wdev_chandef" },
	{ 0x813a74e7, "__netdev_alloc_skb" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x09af7cb6, "cfg80211_unregister_wdev" },
	{ 0x92678728, "platform_device_register_full" },
	{ 0xa23d1ec9, "cfg80211_rx_mgmt_ext" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x57647c18, "param_ops_bool" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1f2c54dd, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x413ba864, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf6038e0a, "netif_carrier_on" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x665596d5, "netdev_walk_all_lower_dev" },
	{ 0x58ca247b, "cfg80211_inform_bss_data" },
	{ 0xa7da8926, "cfg80211_shutdown_all_interfaces" },
	{ 0x57fce593, "dev_kfree_skb_any_reason" },
	{ 0x52dc0bf9, "regulatory_set_wiphy_regd" },
	{ 0x349cba85, "strchr" },
	{ 0xa40ac26d, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd0168a05, "cfg80211_connect_done" },
	{ 0x9b4d6ef4, "__cfg80211_get_bss" },
	{ 0x3f4b4a97, "wiphy_free" },
	{ 0xad203384, "kmalloc_caches" },
	{ 0x137f3edc, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe01e1d41, "eth_mac_addr" },
	{ 0x3fd561ba, "skb_put" },
	{ 0x265731ce, "cfg80211_scan_done" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x3a123fb0, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2847c27f, "cfg80211_cac_event" },
	{ 0x903472b9, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb2202605, "cfg80211_register_netdevice" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc9193e07, "regulatory_hint" },
	{ 0x037a0cba, "kfree" },
	{ 0x914b63eb, "cfg80211_external_auth_request" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xa8b25734, "cfg80211_new_sta" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x21bd7715, "cfg80211_disconnected" },
	{ 0xf6df8c5e, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe9777c60, "netdev_port_same_parent_id" },
	{ 0xaa8ea8b3, "dev_addr_mod" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xae778c8b, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "74145EE7089EBF882519B1B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
