#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs3_set_ds_client, "_gpl", "");

SYMBOL_CRC(nfs3_set_ds_client, 0xc222ab77, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbe0b32f6, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x65fc62f5, "nfs_async_iocounter_wait" },
	{ 0xd7c36588, "nfs_setattr_update_inode" },
	{ 0x4f47b947, "nfs_sops" },
	{ 0xedbc1cc2, "init_user_ns" },
	{ 0x58381156, "rpc_restart_call" },
	{ 0xe06fcdf8, "nfs_link" },
	{ 0x1f2c54dd, "__kmalloc_cache_noprof" },
	{ 0x588e8af1, "dput" },
	{ 0x1ce1598c, "nfs_stat_to_errno" },
	{ 0x689ba0b5, "put_nfs_open_context" },
	{ 0x78786312, "nfs_permission" },
	{ 0x3f9a0327, "alloc_pages_noprof" },
	{ 0xa02b6836, "nfs_add_or_obtain" },
	{ 0x0ad57984, "from_kuid_munged" },
	{ 0x754d539c, "strlen" },
	{ 0x34794a99, "nfs_free_client" },
	{ 0xa408fc99, "nfs_close_context" },
	{ 0x93c4baa3, "nfs_refresh_inode" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x08e162a8, "nfs_access_set_mask" },
	{ 0x93623e06, "xdr_stream_pos" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0xad203384, "kmalloc_caches" },
	{ 0x78d9f413, "nfs_symlink" },
	{ 0x8d580256, "nfs_unlink" },
	{ 0x9d205ebd, "forget_cached_acl" },
	{ 0xf2110dfd, "nfs_clone_server" },
	{ 0xe914e41e, "strcpy" },
	{ 0x682dc298, "nlmclnt_proc" },
	{ 0xf39d783e, "nfs_writeback_update_inode" },
	{ 0xd1bf1d97, "nfs_alloc_client" },
	{ 0x9c0f923b, "nfs_dentry_operations" },
	{ 0xc13e07c0, "xdr_write_pages" },
	{ 0x8ea51010, "nfs_access_zap_cache" },
	{ 0x6602b01a, "nfs_wb_all" },
	{ 0x8ef3a42d, "xdr_inline_decode" },
	{ 0x5f9bd3c6, "forget_all_cached_acls" },
	{ 0x9c1f6ff9, "nfs_submount" },
	{ 0x5e1eeda6, "__tracepoint_nfs_xdr_status" },
	{ 0x0625809c, "nfs_mknod" },
	{ 0x84d49c53, "nfs_create_server" },
	{ 0x69acdf38, "memcpy" },
	{ 0x878ca717, "nfs_init_client" },
	{ 0x037a0cba, "kfree" },
	{ 0x5cc7f6b6, "nfs_post_op_update_inode" },
	{ 0x34cb789f, "pcpu_hot" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x95abb043, "xdr_read_pages" },
	{ 0x0654962b, "nfsacl_decode" },
	{ 0xe0dae0b0, "posix_acl_from_mode" },
	{ 0x059d1a54, "nfs_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x90b5ec0d, "nfs_mkdir" },
	{ 0x56508d5e, "nfs_revalidate_inode" },
	{ 0xa7a173e2, "nfs_get_lock_context" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x07f199f5, "nfs_try_get_tree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xdf8d971e, "make_kuid" },
	{ 0xfeb42418, "__SCT__tp_func_nfs_xdr_status" },
	{ 0x46afccb2, "const_pcpu_hot" },
	{ 0xc352eecc, "nfs_get_client" },
	{ 0xb7150ade, "__free_pages" },
	{ 0xca3774ec, "nfs_file_operations" },
	{ 0xb0823b2e, "get_inode_acl" },
	{ 0x37239e6d, "__SCT__tp_func_nfs_xdr_bad_filehandle" },
	{ 0x8cc01750, "nfs_put_lock_context" },
	{ 0xbb6a728b, "nfs_rename" },
	{ 0x34ad8efd, "nfs_lookup" },
	{ 0xffc717bb, "nfs_sysfs_link_rpc_client" },
	{ 0x2bfea1b6, "nfsacl_encode" },
	{ 0x9391e576, "posix_acl_create" },
	{ 0x1af605b6, "get_nfs_open_context" },
	{ 0x4e124f50, "__SCK__tp_func_nfs_xdr_status" },
	{ 0xc97916be, "nfs_invalidate_atime" },
	{ 0xa622b393, "posix_acl_equiv_mode" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd60052d3, "nfs_getattr" },
	{ 0x6c35a188, "__SCK__tp_func_nfs_xdr_bad_filehandle" },
	{ 0x93f41b34, "nfs_zap_acl_cache" },
	{ 0x922729fb, "__tracepoint_nfs_xdr_bad_filehandle" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3199bc0d, "rpc_bind_new_program" },
	{ 0x8d792685, "register_nfs_version" },
	{ 0x0003206c, "nfs_atomic_open_v23" },
	{ 0x97b21635, "rpc_call_start" },
	{ 0x5046d931, "rpc_call_sync" },
	{ 0x645af59b, "rpc_prepare_reply_pages" },
	{ 0xea00d4e4, "nfs_fs_type" },
	{ 0xe296b2c4, "nfs_setattr" },
	{ 0x9e5e1fcd, "xdr_terminate_string" },
	{ 0x4ed2b7d9, "nfs_fattr_init" },
	{ 0xb64a07ba, "rpc_delay" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x07cea24d, "make_kgid" },
	{ 0x00358abc, "from_kgid_munged" },
	{ 0x2d0f9b90, "nfs_alloc_fattr" },
	{ 0x41a06fb4, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x0b27fa34, "nfs_rmdir" },
	{ 0xae778c8b, "module_layout" },
};

MODULE_INFO(depends, "nfs,sunrpc,lockd,nfs_acl");


MODULE_INFO(srcversion, "4A0E13BAB44AED8D04EAD2E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
