#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(inet_diag_msg_common_fill, "_gpl", "");
KSYMTAB_FUNC(inet_diag_msg_attrs_fill, "_gpl", "");
KSYMTAB_FUNC(inet_sk_diag_fill, "_gpl", "");
KSYMTAB_FUNC(inet_diag_find_one_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_dump_one_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_bc_sk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_dump_icsk, "_gpl", "");
KSYMTAB_FUNC(inet_diag_register, "_gpl", "");
KSYMTAB_FUNC(inet_diag_unregister, "_gpl", "");

SYMBOL_CRC(inet_diag_msg_common_fill, 0xa5e4c1d5, "_gpl");
SYMBOL_CRC(inet_diag_msg_attrs_fill, 0x4ac0be1a, "_gpl");
SYMBOL_CRC(inet_sk_diag_fill, 0xb80e97fd, "_gpl");
SYMBOL_CRC(inet_diag_find_one_icsk, 0xf75ac8f0, "_gpl");
SYMBOL_CRC(inet_diag_dump_one_icsk, 0x3e7506a1, "_gpl");
SYMBOL_CRC(inet_diag_bc_sk, 0x724b81e8, "_gpl");
SYMBOL_CRC(inet_diag_dump_icsk, 0x15fad626, "_gpl");
SYMBOL_CRC(inet_diag_register, 0x8bd2d389, "_gpl");
SYMBOL_CRC(inet_diag_unregister, 0x9f49ca54, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x449ad0a7, "memcmp" },
	{ 0x8e4eb451, "bpf_sk_storage_diag_free" },
	{ 0x037a0cba, "kfree" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3cd309c5, "try_module_get" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf665f74f, "sock_load_diag_module" },
	{ 0x31799b90, "pskb_expand_head" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x19eea8b2, "module_put" },
	{ 0x551f97d1, "__netlink_dump_start" },
	{ 0xf52d8d05, "sock_diag_unregister" },
	{ 0xfb633508, "sock_diag_unregister_inet_compat" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xad203384, "kmalloc_caches" },
	{ 0x1f2c54dd, "__kmalloc_cache_noprof" },
	{ 0xd7fc99fb, "sock_diag_register" },
	{ 0x73fca610, "sock_diag_register_inet_compat" },
	{ 0x934c67d8, "netlink_net_capable" },
	{ 0x5d8476d3, "bpf_sk_storage_diag_alloc" },
	{ 0x6b22233b, "inet6_lookup" },
	{ 0xf58dd2d4, "sock_diag_check_cookie" },
	{ 0x5799c784, "sock_gen_put" },
	{ 0xa4b3683b, "__inet_lookup_established" },
	{ 0x84dd2d3e, "__inet_lookup_listener" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xbf328101, "__nlmsg_put" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1bf1e095, "sock_diag_put_meminfo" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x25b77c1b, "bpf_sk_storage_diag_put" },
	{ 0xa916b694, "strnlen" },
	{ 0x208b5d21, "nla_reserve_64bit" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xb419e86a, "__alloc_skb" },
	{ 0x878f9a41, "sk_skb_reason_drop" },
	{ 0x661de5af, "netlink_unicast" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x36a825f8, "sk_free" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb841d0ea, "sock_diag_save_cookie" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0x82a95771, "sock_i_uid" },
	{ 0x0ad57984, "from_kuid_munged" },
	{ 0xbbf66928, "sock_i_ino" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb83bb881, "skb_trim" },
	{ 0xae778c8b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1C6793C36E2C09683FC8B80");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
