#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x3efa43b7, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0xe4bcd776, "_gpl");
SYMBOL_CRC(tls_get_record, 0x7a30a0fc, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0xf65464e3, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0xe990e430, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb419e86a, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x46afccb2, "const_pcpu_hot" },
	{ 0xdc8eb96c, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x3eb4c417, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x2c6f7eb1, "tcp_recv_skb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x0c5c3562, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0xa3c7a433, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0x0a8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x0e374a74, "crypto_aead_encrypt" },
	{ 0x878f9a41, "sk_skb_reason_drop" },
	{ 0xd488c672, "__SCK__tp_func_sk_data_ready" },
	{ 0xfa917736, "bpf_trace_run5" },
	{ 0x36a825f8, "sk_free" },
	{ 0xcbcc5bb7, "skb_store_bits" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7ff52596, "__sk_mem_reclaim" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd6f1185e, "sk_stream_wait_memory" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x4c20eed2, "trace_event_reg" },
	{ 0x21229775, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x2c8df40c, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x46b980b8, "lock_sock_nested" },
	{ 0x3ddc5094, "__put_devmap_managed_folio_refs" },
	{ 0x7b39b245, "sk_msg_return_zero" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xfb58a111, "skb_copy_datagram_iter" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x56294671, "bpf_trace_run1" },
	{ 0xb3d745a9, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x0b954f22, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x74a067ae, "sock_efree" },
	{ 0x97bb097e, "iov_iter_bvec" },
	{ 0xd817aa80, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x37867bc5, "clean_acked_data_disable" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x68b51e62, "sk_msg_free_partial" },
	{ 0x668b19a1, "down_read" },
	{ 0xb83bb881, "skb_trim" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x18ba82a9, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1b984082, "tcp_register_ulp" },
	{ 0x81f89540, "bpf_trace_run3" },
	{ 0x8e4c7431, "sk_psock_drop" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4162df6e, "skb_page_frag_refill" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x58042f01, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4acd79ec, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x56f74c9a, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xc5d7bb0d, "remove_proc_entry" },
	{ 0x1f2c54dd, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x973a0bf3, "seq_printf" },
	{ 0x5f19ed53, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf4fbcaac, "skb_clone" },
	{ 0x17f7dfd9, "dst_release" },
	{ 0x144361e5, "_copy_from_iter" },
	{ 0x10aacb7d, "skb_copy_header" },
	{ 0x4a21c71e, "sk_msg_trim" },
	{ 0x3f9a0327, "alloc_pages_noprof" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xa7c38638, "netdev_sk_get_lowest_dev" },
	{ 0x1eeacf86, "sk_msg_alloc" },
	{ 0xc990349a, "_copy_from_iter_nocache" },
	{ 0xd6b24575, "tcp_rate_check_app_limited" },
	{ 0xb495721a, "tcp_poll" },
	{ 0x0f99005d, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x15d58a5f, "sk_msg_zerocopy_from_iter" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf32403a9, "skb_to_sgvec" },
	{ 0x53b954a2, "up_read" },
	{ 0xbbf14c5a, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xad203384, "kmalloc_caches" },
	{ 0xd230c91f, "tcp_read_done" },
	{ 0x49d7d66d, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa377ea1f, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xdab8d5cc, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x082dc9cc, "tcp_read_sock" },
	{ 0xf80b1720, "bpf_trace_run4" },
	{ 0x8be84881, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb9698ba7, "sk_page_frag_refill" },
	{ 0x3fd561ba, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xac76c6c9, "tcp_sendmsg_locked" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x3a123fb0, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xaefd9c36, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x4b9bed80, "sk_psock_msg_verdict" },
	{ 0xf06bacd6, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x766953c9, "__trace_trigger_soft_disabled" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x480fb84f, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x643bc109, "iov_iter_get_pages2" },
	{ 0x713aad1a, "___pskb_trim" },
	{ 0xb229af5c, "trace_event_raw_init" },
	{ 0x0bfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x34cb789f, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xfb7e0aed, "clean_acked_data_enable" },
	{ 0xb447d055, "skb_splice_bits" },
	{ 0x51cd7a4f, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x8c6048de, "__tracepoint_sk_data_ready" },
	{ 0xf386b6a2, "crypto_aead_setauthsize" },
	{ 0x81caf7a9, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0xecf0c20e, "sk_stream_error" },
	{ 0x7352392c, "sk_msg_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x217787b9, "sk_msg_memcopy_from_iter" },
	{ 0x5cba8cec, "sk_error_report" },
	{ 0xa8577639, "register_pernet_subsys" },
	{ 0x16ccc418, "put_cmsg" },
	{ 0xe23dcb36, "__sk_flush_backlog" },
	{ 0x3d6fa9a4, "trace_event_buffer_commit" },
	{ 0x111b9da8, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xd099630a, "sk_psock_tls_strp_read" },
	{ 0x18c43562, "sk_msg_clone" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xae778c8b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A89E25AE9791618BE9E704E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
