#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_sdw_startup, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_common_check_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_check_wakeen_irq_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_process_wakeen_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe_early, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_remove, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_power_down_dsp, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_DATA(sof_hda_common_ops, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");

SYMBOL_CRC(hda_sdw_startup, 0xd7245703, "");
SYMBOL_CRC(hda_common_check_sdw_irq, 0x7e7914b6, "");
SYMBOL_CRC(hda_sdw_check_wakeen_irq_common, 0xd955035e, "");
SYMBOL_CRC(hda_sdw_process_wakeen_common, 0xe659300f, "");
SYMBOL_CRC(hda_dsp_post_fw_run, 0x58f28049, "");
SYMBOL_CRC(hda_dsp_probe_early, 0x70098cdc, "");
SYMBOL_CRC(hda_dsp_probe, 0x8ded9530, "");
SYMBOL_CRC(hda_dsp_remove, 0x1a92ce68, "");
SYMBOL_CRC(hda_power_down_dsp, 0x371af60c, "");
SYMBOL_CRC(hda_pci_intel_probe, 0x1da27955, "");
SYMBOL_CRC(sof_hda_common_ops, 0xe66d7a61, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0x2ad078bb, "hda_dsp_d0i3_work" },
	{ 0x4aafc03a, "devm_kmalloc" },
	{ 0x79bb115b, "__SCT__tp_func_sof_intel_hda_irq" },
	{ 0x8528f76b, "pci_alloc_irq_vectors" },
	{ 0x3386805b, "intel_nhlt_get_dmic_geo" },
	{ 0xa297f9b0, "hda_dsp_ext_man_get_cavs_config_data" },
	{ 0x72e92444, "hda_dsp_ctrl_ppcap_enable" },
	{ 0xa1d8de5b, "hda_sdw_process_wakeen" },
	{ 0x45d8a6e7, "hda_sdw_int_enable" },
	{ 0x27f6fcf0, "hda_bus_ml_init" },
	{ 0x24c98322, "hda_codec_probe_bus" },
	{ 0xfdd4934b, "sof_hda_bus_exit" },
	{ 0x7c7697b2, "sdw_hda_dai_hw_params" },
	{ 0xedc03953, "iounmap" },
	{ 0x41cedf41, "sdw_intel_exit" },
	{ 0x0ab3fdf3, "hda_codec_check_for_state_change" },
	{ 0x0f31eeca, "sof_xtensa_arch_ops" },
	{ 0x41a05c36, "intel_nhlt_has_endpoint_type" },
	{ 0xe68ce2ac, "sdw_hda_dai_trigger" },
	{ 0x3f053ee3, "hda_bus_ml_free" },
	{ 0x34cb789f, "pcpu_hot" },
	{ 0xe92e1666, "hda_dsp_cl_boot_firmware" },
	{ 0x17b74af1, "hda_dsp_pcm_hw_params" },
	{ 0xad3d636b, "hda_sdw_check_lcount" },
	{ 0x95a1d84d, "snd_intel_dsp_driver_probe" },
	{ 0x4428f846, "pci_irq_vector" },
	{ 0xbfe3a88a, "hda_dsp_ctrl_clock_power_gating" },
	{ 0x1588a82a, "__dynamic_dev_dbg" },
	{ 0x20197d86, "pci_ioremap_bar" },
	{ 0xaf0c0f5f, "hda_dsp_ctrl_init_chip" },
	{ 0x5e3a42e4, "sdw_hda_dai_hw_free" },
	{ 0xa295668d, "sof_pci_probe" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf15a5f0d, "hda_dsp_suspend" },
	{ 0x14ad24cb, "hda_dsp_runtime_suspend" },
	{ 0x1bba880c, "hda_codec_i915_exit" },
	{ 0xa95cdf54, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x37e51e24, "hda_dsp_ipc_get_mailbox_offset" },
	{ 0x839d4ab0, "hda_dai_config" },
	{ 0x7562fdb7, "hda_probes_unregister" },
	{ 0xcfe39f15, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6bd0138c, "hda_dsp_pcm_ack" },
	{ 0xfd944c8a, "hda_dsp_trace_release" },
	{ 0xcf64a92a, "__SCK__tp_func_sof_intel_hda_irq" },
	{ 0xc755f30e, "_dev_info" },
	{ 0xc6cad316, "hda_dsp_dump" },
	{ 0xe21b22e4, "sdw_intel_startup" },
	{ 0xbe426b16, "hda_dsp_pcm_pointer" },
	{ 0x9f3faf5e, "sdw_intel_process_wakeen_event" },
	{ 0xc6c2f4ab, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xe8a9f67d, "sof_mailbox_read" },
	{ 0x482e7b9b, "hda_bus_ml_put_all" },
	{ 0x5a9fdad6, "_dev_err" },
	{ 0xf00c7e64, "debugfs_create_bool" },
	{ 0x6a845c5d, "hda_dsp_core_reset_power_down" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4b38f481, "__tracepoint_sof_intel_hda_irq" },
	{ 0x459f5a9c, "platform_device_unregister" },
	{ 0x86824a7d, "hda_dsp_trace_init" },
	{ 0xb157f402, "snd_soc_acpi_find_machine" },
	{ 0x93d3cfba, "snd_soc_acpi_intel_detect_codec_type" },
	{ 0x67cf9647, "hda_codec_device_remove" },
	{ 0x363d1d4a, "hda_dsp_ctrl_ppcap_int_enable" },
	{ 0x2a5ca07b, "snd_soc_acpi_intel_get_codec_tplg_suffix" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x47338022, "snd_sof_dsp_update_bits" },
	{ 0xa4b2adc1, "snd_sof_pci_update_bits" },
	{ 0x24353c65, "sof_hda_bus_init" },
	{ 0x85eea090, "hda_dsp_runtime_idle" },
	{ 0xcbba02b0, "hda_dsp_pcm_open" },
	{ 0x21311a17, "_dev_warn" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0xeab8fbe0, "sdw_intel_lnl_hw_ops" },
	{ 0x8321929a, "pci_set_master" },
	{ 0xcff798c7, "param_ops_charp" },
	{ 0xf73be51c, "hda_dsp_stream_hw_free" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3bdcdfa9, "hda_dsp_stream_threaded_handler" },
	{ 0x2f986638, "hda_dsp_pcm_close" },
	{ 0x2c268af5, "dma_set_coherent_mask" },
	{ 0x173d0da1, "devm_kasprintf" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x5d169104, "hda_check_ipc_irq" },
	{ 0x92678728, "platform_device_register_full" },
	{ 0x0e84eefc, "snd_soc_acpi_intel_get_amp_tplg_suffix" },
	{ 0x85df9b6c, "strsep" },
	{ 0x0e80f8c6, "hda_dsp_runtime_resume" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x3e562cd9, "hda_dsp_trace_trigger" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf5604180, "sof_machine_unregister" },
	{ 0x533b14b9, "skl_dai" },
	{ 0x91d3c609, "hda_dsp_get_stream_llp" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5fd4ae53, "sdw_intel_probe" },
	{ 0x70d21ccf, "snd_sof_load_firmware_raw" },
	{ 0x7f8bfbe5, "snd_soc_acpi_intel_detect_amp_type" },
	{ 0x47587ea8, "hda_is_chain_dma_supported" },
	{ 0x97c045a9, "hda_dsp_resume" },
	{ 0xb7b836b3, "intel_nhlt_ssp_mclk_mask" },
	{ 0xc43914a8, "dma_set_mask" },
	{ 0xdce21712, "hda_probes_register" },
	{ 0xf2ce560f, "sof_hda_position_quirk" },
	{ 0x56847728, "dev_err_probe" },
	{ 0xa03da0fc, "hda_dsp_stream_init" },
	{ 0xcc54beee, "hda_dsp_get_stream_ldp" },
	{ 0x256cbef9, "hda_dsp_stream_free" },
	{ 0xc58d29ca, "hda_dsp_ctrl_get_caps" },
	{ 0x033c6665, "param_ops_int" },
	{ 0xe483b485, "intel_nhlt_init" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x3a1d0b93, "sdw_intel_cnl_hw_ops" },
	{ 0x66fd6169, "intel_nhlt_ssp_endpoint_mask" },
	{ 0xdd4adff3, "hda_codec_i915_init" },
	{ 0x66c9b852, "pci_free_irq_vectors" },
	{ 0x0e062446, "hda_dsp_check_stream_irq" },
	{ 0x90b4e596, "hda_set_stream_data_offset" },
	{ 0xbb4f9d1f, "sdw_intel_acpi_scan" },
	{ 0x35ce29e7, "hda_dsp_ipc_get_window_offset" },
	{ 0xe0c18a68, "hda_ipc_msg_data" },
	{ 0x70041930, "sof_machine_register" },
	{ 0x00a49d8c, "hdac_bus_eml_get_mutex" },
	{ 0xd467c0b3, "snd_soc_acpi_intel_hda_machines" },
	{ 0x8cc9284c, "hda_dsp_set_hw_params_upon_resume" },
	{ 0x5b45470c, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0xf2865d95, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x22b448d7, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0x64dc4b00, "hda_get_interface_mask" },
	{ 0x6deda6ca, "hda_codec_i915_display_power" },
	{ 0x42e3bf49, "is_acpi_device_node" },
	{ 0x17c68702, "hda_dsp_pcm_trigger" },
	{ 0xae778c8b, "module_layout" },
};

MODULE_INFO(depends, "soundwire-intel,snd-sof-intel-hda-common,snd-intel-dspcfg,snd-sof-intel-hda-mlink,snd-sof-intel-hda,snd-sof-xtensa-dsp,snd-sof-pci,snd-pcm,snd-sof,snd-soc-acpi,snd-soc-acpi-intel-match,snd-intel-sdw-acpi");


MODULE_INFO(srcversion, "FAEC18F973BD3EEC28CABF1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
