#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ttm_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_fini, "", "");
KSYMTAB_FUNC(ttm_sg_tt_init, "", "");
KSYMTAB_FUNC(ttm_kmap_iter_tt_init, "", "");
KSYMTAB_FUNC(ttm_tt_pages_limit, "", "");
KSYMTAB_FUNC(ttm_bo_move_to_lru_tail, "", "");
KSYMTAB_FUNC(ttm_bo_set_bulk_move, "", "");
KSYMTAB_FUNC(ttm_bo_put, "", "");
KSYMTAB_FUNC(ttm_bo_eviction_valuable, "", "");
KSYMTAB_FUNC(ttm_bo_pin, "", "");
KSYMTAB_FUNC(ttm_bo_unpin, "", "");
KSYMTAB_FUNC(ttm_bo_mem_space, "", "");
KSYMTAB_FUNC(ttm_bo_validate, "", "");
KSYMTAB_FUNC(ttm_bo_init_reserved, "", "");
KSYMTAB_FUNC(ttm_bo_init_validate, "", "");
KSYMTAB_FUNC(ttm_bo_unmap_virtual, "", "");
KSYMTAB_FUNC(ttm_bo_wait_ctx, "", "");
KSYMTAB_FUNC(ttm_bo_populate, "", "");
KSYMTAB_FUNC(ttm_move_memcpy, "", "");
KSYMTAB_FUNC(ttm_bo_move_memcpy, "", "");
KSYMTAB_FUNC(ttm_io_prot, "", "");
KSYMTAB_FUNC(ttm_bo_kmap, "", "");
KSYMTAB_FUNC(ttm_bo_kunmap, "", "");
KSYMTAB_FUNC(ttm_bo_vmap, "", "");
KSYMTAB_FUNC(ttm_bo_vunmap, "", "");
KSYMTAB_FUNC(ttm_bo_move_accel_cleanup, "", "");
KSYMTAB_FUNC(ttm_bo_move_sync_cleanup, "", "");
KSYMTAB_FUNC(ttm_bo_vm_reserve, "", "");
KSYMTAB_FUNC(ttm_bo_vm_fault_reserved, "", "");
KSYMTAB_FUNC(ttm_bo_vm_dummy_page, "", "");
KSYMTAB_FUNC(ttm_bo_vm_fault, "", "");
KSYMTAB_FUNC(ttm_bo_vm_open, "", "");
KSYMTAB_FUNC(ttm_bo_vm_close, "", "");
KSYMTAB_FUNC(ttm_bo_access, "", "");
KSYMTAB_FUNC(ttm_bo_vm_access, "", "");
KSYMTAB_FUNC(ttm_bo_mmap_obj, "", "");
KSYMTAB_FUNC(ttm_eu_backoff_reservation, "", "");
KSYMTAB_FUNC(ttm_eu_reserve_buffers, "", "");
KSYMTAB_FUNC(ttm_eu_fence_buffer_objects, "", "");
KSYMTAB_FUNC(ttm_range_man_init_nocheck, "", "");
KSYMTAB_FUNC(ttm_range_man_fini_nocheck, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_init, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_fini, "", "");
KSYMTAB_FUNC(ttm_lru_bulk_move_tail, "", "");
KSYMTAB_FUNC(ttm_resource_init, "", "");
KSYMTAB_FUNC(ttm_resource_fini, "", "");
KSYMTAB_FUNC(ttm_resource_free, "", "");
KSYMTAB_FUNC(ttm_resource_manager_init, "", "");
KSYMTAB_FUNC(ttm_resource_manager_evict_all, "", "");
KSYMTAB_FUNC(ttm_resource_manager_usage, "", "");
KSYMTAB_FUNC(ttm_resource_manager_debug, "", "");
KSYMTAB_FUNC(ttm_kmap_iter_iomap_init, "", "");
KSYMTAB_FUNC(ttm_resource_manager_create_debugfs, "", "");
KSYMTAB_FUNC(ttm_pool_alloc, "", "");
KSYMTAB_FUNC(ttm_pool_free, "", "");
KSYMTAB_FUNC(ttm_pool_init, "", "");
KSYMTAB_FUNC(ttm_pool_fini, "", "");
KSYMTAB_FUNC(ttm_pool_debugfs, "", "");
KSYMTAB_DATA(ttm_glob, "", "");
KSYMTAB_FUNC(ttm_device_swapout, "", "");
KSYMTAB_FUNC(ttm_device_init, "", "");
KSYMTAB_FUNC(ttm_device_fini, "", "");
KSYMTAB_FUNC(ttm_device_clear_dma_mappings, "", "");
KSYMTAB_FUNC(ttm_agp_bind, "", "");
KSYMTAB_FUNC(ttm_agp_unbind, "", "");
KSYMTAB_FUNC(ttm_agp_is_bound, "", "");
KSYMTAB_FUNC(ttm_agp_destroy, "", "");
KSYMTAB_FUNC(ttm_agp_tt_create, "", "");

SYMBOL_CRC(ttm_tt_init, 0x1851fa0a, "");
SYMBOL_CRC(ttm_tt_fini, 0x29ee6b49, "");
SYMBOL_CRC(ttm_sg_tt_init, 0xc679e555, "");
SYMBOL_CRC(ttm_kmap_iter_tt_init, 0x33971333, "");
SYMBOL_CRC(ttm_tt_pages_limit, 0x69cc2943, "");
SYMBOL_CRC(ttm_bo_move_to_lru_tail, 0xa2531817, "");
SYMBOL_CRC(ttm_bo_set_bulk_move, 0xcf6b584c, "");
SYMBOL_CRC(ttm_bo_put, 0xf6d6216a, "");
SYMBOL_CRC(ttm_bo_eviction_valuable, 0x42f0760d, "");
SYMBOL_CRC(ttm_bo_pin, 0xd5c56911, "");
SYMBOL_CRC(ttm_bo_unpin, 0x0946e0f9, "");
SYMBOL_CRC(ttm_bo_mem_space, 0x328350a3, "");
SYMBOL_CRC(ttm_bo_validate, 0xe9036a23, "");
SYMBOL_CRC(ttm_bo_init_reserved, 0x767322c8, "");
SYMBOL_CRC(ttm_bo_init_validate, 0x0e900046, "");
SYMBOL_CRC(ttm_bo_unmap_virtual, 0xe8feb7a1, "");
SYMBOL_CRC(ttm_bo_wait_ctx, 0x80f5630f, "");
SYMBOL_CRC(ttm_bo_populate, 0x3cdb0d39, "");
SYMBOL_CRC(ttm_move_memcpy, 0x1a71d30c, "");
SYMBOL_CRC(ttm_bo_move_memcpy, 0x6a68b270, "");
SYMBOL_CRC(ttm_io_prot, 0x6cdf3527, "");
SYMBOL_CRC(ttm_bo_kmap, 0x743f8520, "");
SYMBOL_CRC(ttm_bo_kunmap, 0xd5ddc6ca, "");
SYMBOL_CRC(ttm_bo_vmap, 0xdb5955c8, "");
SYMBOL_CRC(ttm_bo_vunmap, 0xc21725f4, "");
SYMBOL_CRC(ttm_bo_move_accel_cleanup, 0xff7adcba, "");
SYMBOL_CRC(ttm_bo_move_sync_cleanup, 0x3aad83b9, "");
SYMBOL_CRC(ttm_bo_vm_reserve, 0x8d2c6dee, "");
SYMBOL_CRC(ttm_bo_vm_fault_reserved, 0x62a2a625, "");
SYMBOL_CRC(ttm_bo_vm_dummy_page, 0x756aa70a, "");
SYMBOL_CRC(ttm_bo_vm_fault, 0xfc4bfb53, "");
SYMBOL_CRC(ttm_bo_vm_open, 0xffe76e7d, "");
SYMBOL_CRC(ttm_bo_vm_close, 0x76f4cf19, "");
SYMBOL_CRC(ttm_bo_access, 0xfa1505c6, "");
SYMBOL_CRC(ttm_bo_vm_access, 0xd945fa16, "");
SYMBOL_CRC(ttm_bo_mmap_obj, 0xe8729bd6, "");
SYMBOL_CRC(ttm_eu_backoff_reservation, 0x98dacd73, "");
SYMBOL_CRC(ttm_eu_reserve_buffers, 0x77c1b124, "");
SYMBOL_CRC(ttm_eu_fence_buffer_objects, 0x7afe74b7, "");
SYMBOL_CRC(ttm_range_man_init_nocheck, 0xb5a8323a, "");
SYMBOL_CRC(ttm_range_man_fini_nocheck, 0x998f55d4, "");
SYMBOL_CRC(ttm_lru_bulk_move_init, 0x3d8d1871, "");
SYMBOL_CRC(ttm_lru_bulk_move_fini, 0x31ec17dd, "");
SYMBOL_CRC(ttm_lru_bulk_move_tail, 0x389191fb, "");
SYMBOL_CRC(ttm_resource_init, 0x87c36304, "");
SYMBOL_CRC(ttm_resource_fini, 0x78ee363f, "");
SYMBOL_CRC(ttm_resource_free, 0xcd190778, "");
SYMBOL_CRC(ttm_resource_manager_init, 0x8dd3d798, "");
SYMBOL_CRC(ttm_resource_manager_evict_all, 0x4b415400, "");
SYMBOL_CRC(ttm_resource_manager_usage, 0x40393de1, "");
SYMBOL_CRC(ttm_resource_manager_debug, 0x4b27f60f, "");
SYMBOL_CRC(ttm_kmap_iter_iomap_init, 0x6a847134, "");
SYMBOL_CRC(ttm_resource_manager_create_debugfs, 0x0314c9d9, "");
SYMBOL_CRC(ttm_pool_alloc, 0xce5c6626, "");
SYMBOL_CRC(ttm_pool_free, 0x5464f74f, "");
SYMBOL_CRC(ttm_pool_init, 0x2d671647, "");
SYMBOL_CRC(ttm_pool_fini, 0xbff2c8f8, "");
SYMBOL_CRC(ttm_pool_debugfs, 0xa7831551, "");
SYMBOL_CRC(ttm_glob, 0x44daad56, "");
SYMBOL_CRC(ttm_device_swapout, 0x1fb85161, "");
SYMBOL_CRC(ttm_device_init, 0x8df71d8f, "");
SYMBOL_CRC(ttm_device_fini, 0xe7488f73, "");
SYMBOL_CRC(ttm_device_clear_dma_mappings, 0xfdfaa5b9, "");
SYMBOL_CRC(ttm_agp_bind, 0xe87a62bb, "");
SYMBOL_CRC(ttm_agp_unbind, 0x49bb70d6, "");
SYMBOL_CRC(ttm_agp_is_bound, 0x92946c7d, "");
SYMBOL_CRC(ttm_agp_destroy, 0xe8d2df77, "");
SYMBOL_CRC(ttm_agp_tt_create, 0x7f889f8f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x94961283, "vunmap" },
	{ 0x037a0cba, "kfree" },
	{ 0xb2946660, "seq_lseek" },
	{ 0xd055b368, "dmem_cgroup_try_charge" },
	{ 0xe8a0e334, "drm_vma_offset_add" },
	{ 0x50b67bbc, "__drm_printfn_seq_file" },
	{ 0x4d924f20, "memremap" },
	{ 0xfdeb95de, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9c78fe42, "dmem_cgroup_state_evict_valuable" },
	{ 0x8c93c276, "shrinker_free" },
	{ 0x1528d90c, "drm_mm_print" },
	{ 0x2be5ef7d, "set_pages_wb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x24f71e15, "dma_map_page_attrs" },
	{ 0xb4e32191, "dump_stack" },
	{ 0x5b60d702, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xc70c3bc3, "ww_mutex_trylock" },
	{ 0x66365d69, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x3472d7ab, "shrinker_register" },
	{ 0x33b84f74, "copy_page" },
	{ 0x618911fc, "numa_node" },
	{ 0x46afccb2, "const_pcpu_hot" },
	{ 0xb7150ade, "__free_pages" },
	{ 0xc755f30e, "_dev_info" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6e21dc47, "mark_page_accessed" },
	{ 0x1c025c8d, "shmem_file_setup" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x0329326c, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xd2ab5935, "agp_free_memory" },
	{ 0x95346e71, "dmem_cgroup_pool_state_put" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0xd659a917, "dma_resv_fini" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2222151b, "dma_alloc_attrs" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0xb9aca671, "debugfs_remove" },
	{ 0x0925493f, "clear_page_orig" },
	{ 0x40c1b850, "seq_putc" },
	{ 0x1a945458, "ww_mutex_lock" },
	{ 0xbffcbf9e, "shmem_read_mapping_page_gfp" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3a40247e, "vmap" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x3ddc5094, "__put_devmap_managed_folio_refs" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xbc23117b, "vmf_insert_pfn_prot" },
	{ 0xf0517d7a, "drm_mm_init" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0xb051aff7, "agp_allocate_memory" },
	{ 0xf3de02cf, "agp_unbind_memory" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc20834bc, "__drm_puts_seq_file" },
	{ 0xf6f9d58d, "init_on_free" },
	{ 0x668b19a1, "down_read" },
	{ 0xe64c9008, "dma_resv_copy_fences" },
	{ 0x09ba1a36, "set_page_dirty" },
	{ 0x1bfdf5cc, "dmem_cgroup_uncharge" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x9f35f084, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa38c4c94, "drm_memcpy_from_wc" },
	{ 0x7c2d03a6, "dma_fence_enable_sw_signaling" },
	{ 0xb35dcde6, "set_pages_array_wc" },
	{ 0x61952b87, "dma_free_attrs" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6b7b2fe3, "dma_resv_iter_next_unlocked" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x3bd91320, "seq_write" },
	{ 0x56f74c9a, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1f2c54dd, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x973a0bf3, "seq_printf" },
	{ 0x57a5d95f, "__mmap_lock_do_trace_released" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x29c2f00e, "debugfs_create_file_full" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x5a7bdace, "dma_resv_iter_first_unlocked" },
	{ 0x3f9a0327, "alloc_pages_noprof" },
	{ 0xef45223d, "boot_cpu_data" },
	{ 0x216d7adf, "single_release" },
	{ 0xd1a8c2d4, "set_pages_array_uc" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x3d4537b5, "dma_resv_test_signaled" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xcc328a5c, "reservation_ww_class" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x51364cb6, "single_open" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xa40ac26d, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x53a61fba, "cc_platform_has" },
	{ 0x032d41ac, "__kvmalloc_node_noprof" },
	{ 0x53b954a2, "up_read" },
	{ 0x4831da6e, "drm_vma_offset_remove" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xad203384, "kmalloc_caches" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3e469463, "shrinker_alloc" },
	{ 0xd1171a11, "ww_mutex_lock_interruptible" },
	{ 0x542f6757, "drm_dev_enter" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1f987630, "param_ops_ulong" },
	{ 0x5f32028f, "dma_resv_reserve_fences" },
	{ 0x4b7ebf95, "drm_mm_remove_node" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xa5cd2eb9, "agp_bind_memory" },
	{ 0xf63839f6, "vmalloc_to_page" },
	{ 0xbbb3f1e5, "dma_resv_init" },
	{ 0x2965c324, "dma_resv_wait_timeout" },
	{ 0x6063f063, "__drm_printfn_dbg" },
	{ 0x57698a50, "drm_mm_takedown" },
	{ 0xfa666974, "queue_work_node" },
	{ 0xe57484ff, "dma_unmap_page_attrs" },
	{ 0xb4032484, "drm_mm_insert_node_in_range" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0xd6717101, "ww_mutex_unlock" },
	{ 0xedc03953, "iounmap" },
	{ 0x8e8d9d3b, "debugfs_create_atomic_t" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa46ade89, "unmap_mapping_range" },
	{ 0x58fc1e4d, "dma_resv_add_fence" },
	{ 0xae778c8b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "21E62C4789B93D7111EBA00");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
