#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(bmc150_regmap_conf, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_probe, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_remove, "_gpl", "IIO_BMC150");
KSYMTAB_DATA(bmc150_accel_pm_ops, "_gpl", "IIO_BMC150");

SYMBOL_CRC(bmc150_regmap_conf, 0x5be4aee7, "_gpl");
SYMBOL_CRC(bmc150_accel_core_probe, 0x6ffd182d, "_gpl");
SYMBOL_CRC(bmc150_accel_core_remove, 0x6fe72373, "_gpl");
SYMBOL_CRC(bmc150_accel_pm_ops, 0xf6b4dbae, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8363dd66, "__pm_runtime_disable" },
	{ 0xc6e2c9b7, "__pm_runtime_set_status" },
	{ 0x42a8f914, "iio_trigger_unregister" },
	{ 0x13dde3b2, "iio_triggered_buffer_cleanup" },
	{ 0x3a0608b6, "regulator_bulk_disable" },
	{ 0x12e2659e, "devm_iio_device_alloc" },
	{ 0x42e3bf49, "is_acpi_device_node" },
	{ 0xc4ba8cac, "iio_read_mount_matrix" },
	{ 0xaa236a5c, "devm_regulator_bulk_get" },
	{ 0x777f3c40, "regulator_bulk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x08539a49, "acpi_device_hid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x17295df0, "iio_read_acpi_mount_matrix" },
	{ 0x56847728, "dev_err_probe" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xb281a255, "iio_triggered_buffer_setup_ext" },
	{ 0xba21f8ed, "devm_request_threaded_irq" },
	{ 0xc4f4ba35, "iio_device_id" },
	{ 0x5ea308d3, "__devm_iio_trigger_alloc" },
	{ 0xa4a32c60, "iio_trigger_register" },
	{ 0x145481ca, "pm_runtime_enable" },
	{ 0x600196b2, "pm_runtime_set_autosuspend_delay" },
	{ 0x6a7f388f, "__pm_runtime_use_autosuspend" },
	{ 0x620e7762, "__iio_device_register" },
	{ 0xf63b8bee, "__dev_fwnode" },
	{ 0x1903d85e, "fwnode_irq_get_byname" },
	{ 0xdc0fec8a, "iio_read_const_attr" },
	{ 0xc3f5cce0, "iio_show_mount_matrix" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa812d07d, "regmap_write" },
	{ 0xdb7447c5, "regmap_get_device" },
	{ 0x5a9fdad6, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x55e5bb72, "iio_get_time_ns" },
	{ 0xc8ded346, "iio_trigger_poll" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x0eccdc38, "regmap_update_bits_base" },
	{ 0x1588a82a, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x084eecef, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x6ce9a813, "__pm_runtime_suspend" },
	{ 0x5908f3f9, "regmap_read" },
	{ 0x52f8c629, "iio_buffer_enabled" },
	{ 0xb8b9e9ad, "regmap_bulk_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x06aa9ae6, "iio_device_get_current_mode" },
	{ 0x50d1a061, "regmap_raw_read" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc20411e7, "iio_push_to_buffers" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x791be4e7, "iio_push_event" },
	{ 0xe80abb0d, "iio_trigger_notify_done" },
	{ 0xa553a057, "iio_device_unregister" },
	{ 0xae778c8b, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "5D01F7D683BD022960F2DB7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
