#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(go7007_read_interrupt, "", "");
KSYMTAB_FUNC(go7007_read_addr, "", "");
KSYMTAB_FUNC(go7007_boot_encoder, "", "");
KSYMTAB_FUNC(go7007_register_encoder, "", "");
KSYMTAB_FUNC(go7007_parse_video_stream, "", "");
KSYMTAB_FUNC(go7007_alloc, "", "");
KSYMTAB_FUNC(go7007_update_board, "", "");
KSYMTAB_FUNC(go7007_snd_init, "", "");
KSYMTAB_FUNC(go7007_snd_remove, "", "");

SYMBOL_CRC(go7007_read_interrupt, 0xb0771970, "");
SYMBOL_CRC(go7007_read_addr, 0xa57cf9f1, "");
SYMBOL_CRC(go7007_boot_encoder, 0xd2d73b55, "");
SYMBOL_CRC(go7007_register_encoder, 0x785e2832, "");
SYMBOL_CRC(go7007_parse_video_stream, 0xf1e35d76, "");
SYMBOL_CRC(go7007_alloc, 0x86f0c408, "");
SYMBOL_CRC(go7007_update_board, 0x51817564, "");
SYMBOL_CRC(go7007_snd_init, 0xf1fb411d, "");
SYMBOL_CRC(go7007_snd_remove, 0x5863d0f3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e011555, "snd_device_new" },
	{ 0x7e6797f8, "vb2_vmalloc_memops" },
	{ 0x844ca224, "snd_pcm_set_managed_buffer_all" },
	{ 0xcff798c7, "param_ops_charp" },
	{ 0x435eac18, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa87a6b3a, "vb2_fop_read" },
	{ 0xd555b238, "v4l2_device_register" },
	{ 0xb9b19ee1, "i2c_add_adapter" },
	{ 0xa4a82ff7, "snd_card_disconnect" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x57647c18, "param_ops_bool" },
	{ 0xcd3b6af4, "__video_register_device" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1f2c54dd, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1fe0daff, "vb2_ioctl_streamon" },
	{ 0x0065fdf3, "vb2_fop_poll" },
	{ 0x0bf5d157, "v4l2_ctrl_new_std" },
	{ 0xb49ec998, "v4l2_ctrl_g_ctrl" },
	{ 0xcf0040f4, "v4l2_ctrl_handler_free" },
	{ 0xf3318067, "v4l2_device_unregister" },
	{ 0xe6711bcd, "v4l2_subdev_call_wrappers" },
	{ 0xdbe69a99, "snd_pcm_period_elapsed" },
	{ 0x7366ad55, "v4l2_ctrl_log_status" },
	{ 0x1f4a77c4, "v4l2_event_queue" },
	{ 0x033c6665, "param_ops_int" },
	{ 0x0fce53d5, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x284618b7, "v4l2_event_unsubscribe" },
	{ 0xad203384, "kmalloc_caches" },
	{ 0x3aa2112e, "vb2_ioctl_reqbufs" },
	{ 0x1d4d89b1, "vb2_queue_init" },
	{ 0x08bed546, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xeb2945bb, "v4l2_device_put" },
	{ 0xc02ececc, "vb2_ioctl_streamoff" },
	{ 0xb0e602eb, "memmove" },
	{ 0x53a2e510, "snd_pcm_new" },
	{ 0x18f19eb2, "snd_card_register" },
	{ 0x9181c73c, "v4l2_i2c_new_subdev_board" },
	{ 0xcfd57680, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x359192e0, "request_firmware" },
	{ 0x77608982, "v4l2_ctrl_handler_init_class" },
	{ 0xb204eb96, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x10e2332a, "vb2_ioctl_querybuf" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xfb9e953c, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xc13ec3be, "video_devdata" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xbc508d68, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc755f30e, "_dev_info" },
	{ 0x85416a15, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x85097851, "snd_card_new" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x83796a54, "__v4l2_ctrl_grab" },
	{ 0x68fc7071, "vb2_ioctl_dqbuf" },
	{ 0x5a9fdad6, "_dev_err" },
	{ 0xe17736cd, "v4l2_ctrl_new_custom" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe15cbffc, "snd_card_free_when_closed" },
	{ 0xa9740eab, "vb2_buffer_done" },
	{ 0xda5b6bcb, "vb2_plane_vaddr" },
	{ 0x15ba1e01, "v4l2_ctrl_subscribe_event" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x242080d2, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x95063641, "v4l2_event_subscribe" },
	{ 0x6657a1a3, "vb2_ioctl_qbuf" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xecb6f3d2, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xae778c8b, "module_layout" },
};

MODULE_INFO(depends, "snd,videobuf2-vmalloc,snd-pcm,videodev,videobuf2-v4l2,videobuf2-common");


MODULE_INFO(srcversion, "95F2385FF693831B88047D0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
