#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdhci_dumpregs, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_v4_mode, "_gpl", "");
KSYMTAB_FUNC(sdhci_data_line_cmd, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_do_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_mod_timer, "_gpl", "");
KSYMTAB_FUNC(sdhci_adma_write_desc, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_data_timeout_irq, "_gpl", "");
KSYMTAB_FUNC(__sdhci_set_timeout, "_gpl", "");
KSYMTAB_FUNC(sdhci_initialize_data, "_gpl", "");
KSYMTAB_FUNC(sdhci_prepare_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_switch_external_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_needs_reset, "_gpl", "");
KSYMTAB_FUNC(__sdhci_finish_mrq, "_gpl", "");
KSYMTAB_FUNC(sdhci_finish_mrq, "_gpl", "");
KSYMTAB_FUNC(__sdhci_finish_data_common, "_gpl", "");
KSYMTAB_FUNC(sdhci_present_error, "_gpl", "");
KSYMTAB_FUNC(sdhci_calc_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_clk, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_clock, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_vdd_value, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_noreg, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_power_and_bus_voltage, "_gpl", "");
KSYMTAB_FUNC(sdhci_request, "_gpl", "");
KSYMTAB_FUNC(sdhci_request_atomic, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_bus_width, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_uhs_signaling, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_ios_common, "_gpl", "");
KSYMTAB_FUNC(sdhci_set_ios, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_cd_nogpio, "_gpl", "");
KSYMTAB_FUNC(sdhci_get_ro, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_signal_voltage_switch, "_gpl", "");
KSYMTAB_FUNC(sdhci_start_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_end_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_reset_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_send_tuning, "_gpl", "");
KSYMTAB_FUNC(__sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_execute_tuning, "_gpl", "");
KSYMTAB_FUNC(sdhci_enable_preset_value, "_gpl", "");
KSYMTAB_FUNC(sdhci_request_done_dma, "_gpl", "");
KSYMTAB_FUNC(sdhci_complete_work, "_gpl", "");
KSYMTAB_FUNC(sdhci_thread_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_suspend_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_runtime_resume_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_enable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_disable, "_gpl", "");
KSYMTAB_FUNC(sdhci_cqe_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_alloc_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_read_caps, "_gpl", "");
KSYMTAB_FUNC(sdhci_setup_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_cleanup_host, "_gpl", "");
KSYMTAB_FUNC(__sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_remove_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_free_host, "_gpl", "");

SYMBOL_CRC(sdhci_dumpregs, 0x5cb93999, "_gpl");
SYMBOL_CRC(sdhci_enable_v4_mode, 0xe51a873c, "_gpl");
SYMBOL_CRC(sdhci_data_line_cmd, 0x811b93cd, "_gpl");
SYMBOL_CRC(sdhci_reset, 0x5eb2db6b, "_gpl");
SYMBOL_CRC(sdhci_do_reset, 0x5310b279, "_gpl");
SYMBOL_CRC(sdhci_mod_timer, 0x1844b1a7, "_gpl");
SYMBOL_CRC(sdhci_adma_write_desc, 0x67ab8265, "_gpl");
SYMBOL_CRC(sdhci_set_data_timeout_irq, 0xf40dd293, "_gpl");
SYMBOL_CRC(__sdhci_set_timeout, 0xdbcd4315, "_gpl");
SYMBOL_CRC(sdhci_initialize_data, 0x4c7c2621, "_gpl");
SYMBOL_CRC(sdhci_prepare_dma, 0x3149bb44, "_gpl");
SYMBOL_CRC(sdhci_switch_external_dma, 0x738b7719, "_gpl");
SYMBOL_CRC(sdhci_needs_reset, 0x69107139, "_gpl");
SYMBOL_CRC(__sdhci_finish_mrq, 0x77339b77, "_gpl");
SYMBOL_CRC(sdhci_finish_mrq, 0x17d4cc9f, "_gpl");
SYMBOL_CRC(__sdhci_finish_data_common, 0x34f614f3, "_gpl");
SYMBOL_CRC(sdhci_present_error, 0x4b17723d, "_gpl");
SYMBOL_CRC(sdhci_calc_clk, 0x49834dcb, "_gpl");
SYMBOL_CRC(sdhci_enable_clk, 0x9b3ef33e, "_gpl");
SYMBOL_CRC(sdhci_set_clock, 0xc1952c1f, "_gpl");
SYMBOL_CRC(sdhci_get_vdd_value, 0x03082f95, "_gpl");
SYMBOL_CRC(sdhci_set_power_noreg, 0x571fe065, "_gpl");
SYMBOL_CRC(sdhci_set_power, 0xb8365e2c, "_gpl");
SYMBOL_CRC(sdhci_set_power_and_bus_voltage, 0x619e5eb7, "_gpl");
SYMBOL_CRC(sdhci_request, 0xa6e1066e, "_gpl");
SYMBOL_CRC(sdhci_request_atomic, 0xe289ccd6, "_gpl");
SYMBOL_CRC(sdhci_set_bus_width, 0xe05c8e44, "_gpl");
SYMBOL_CRC(sdhci_set_uhs_signaling, 0xc9c97cc9, "_gpl");
SYMBOL_CRC(sdhci_set_ios_common, 0x6c2b9ab1, "_gpl");
SYMBOL_CRC(sdhci_set_ios, 0x5e2f0af6, "_gpl");
SYMBOL_CRC(sdhci_get_cd_nogpio, 0x7f4c8e87, "_gpl");
SYMBOL_CRC(sdhci_get_ro, 0x4d1dacef, "_gpl");
SYMBOL_CRC(sdhci_enable_sdio_irq, 0xaecd9a00, "_gpl");
SYMBOL_CRC(sdhci_start_signal_voltage_switch, 0xc3177401, "_gpl");
SYMBOL_CRC(sdhci_start_tuning, 0xa53d65c4, "_gpl");
SYMBOL_CRC(sdhci_end_tuning, 0xdee2717a, "_gpl");
SYMBOL_CRC(sdhci_reset_tuning, 0x0a54e366, "_gpl");
SYMBOL_CRC(sdhci_abort_tuning, 0x8f77970d, "_gpl");
SYMBOL_CRC(sdhci_send_tuning, 0x0ba32976, "_gpl");
SYMBOL_CRC(__sdhci_execute_tuning, 0x769abe29, "_gpl");
SYMBOL_CRC(sdhci_execute_tuning, 0xc23aac85, "_gpl");
SYMBOL_CRC(sdhci_enable_preset_value, 0x0bc97ec6, "_gpl");
SYMBOL_CRC(sdhci_request_done_dma, 0xcdf77379, "_gpl");
SYMBOL_CRC(sdhci_complete_work, 0x8236c57a, "_gpl");
SYMBOL_CRC(sdhci_thread_irq, 0x9b1d369c, "_gpl");
SYMBOL_CRC(sdhci_suspend_host, 0x02c6d1ec, "_gpl");
SYMBOL_CRC(sdhci_resume_host, 0x1fa370cc, "_gpl");
SYMBOL_CRC(sdhci_runtime_suspend_host, 0xfc741bc0, "_gpl");
SYMBOL_CRC(sdhci_runtime_resume_host, 0xd59bb0fd, "_gpl");
SYMBOL_CRC(sdhci_cqe_enable, 0x25c18eb2, "_gpl");
SYMBOL_CRC(sdhci_cqe_disable, 0x77ecc35a, "_gpl");
SYMBOL_CRC(sdhci_cqe_irq, 0xb43cc248, "_gpl");
SYMBOL_CRC(sdhci_alloc_host, 0x0d8ead42, "_gpl");
SYMBOL_CRC(__sdhci_read_caps, 0x5dbe1985, "_gpl");
SYMBOL_CRC(sdhci_setup_host, 0xd031e738, "_gpl");
SYMBOL_CRC(sdhci_cleanup_host, 0xbb5d485b, "_gpl");
SYMBOL_CRC(__sdhci_add_host, 0x77d5ceac, "_gpl");
SYMBOL_CRC(sdhci_add_host, 0x3b05a59f, "_gpl");
SYMBOL_CRC(sdhci_remove_host, 0x96331f9e, "_gpl");
SYMBOL_CRC(sdhci_free_host, 0xd53e96a3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x92997ed8, "_printk" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6667eaa6, "dma_map_sg_attrs" },
	{ 0x3e5ff2b5, "__dma_sync_single_for_device" },
	{ 0x016f123e, "sg_copy_to_buffer" },
	{ 0x6fad2ef7, "dma_unmap_sg_attrs" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xd475bff7, "__dma_sync_single_for_cpu" },
	{ 0xca18c87d, "mmc_alloc_host" },
	{ 0x61952b87, "dma_free_attrs" },
	{ 0x08d2cbc8, "regulator_disable" },
	{ 0xcbd86ca9, "mmc_free_host" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa519f499, "mmc_retune_timer_stop" },
	{ 0x0aa309cf, "synchronize_hardirq" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x063bb7c7, "__dma_sync_sg_for_cpu" },
	{ 0xbf4fadd5, "mmc_send_abort_tuning" },
	{ 0xa833c128, "mmc_request_done" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7a8fa8f8, "mmc_regulator_set_ocr" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcae6b5f2, "mmc_gpio_get_cd" },
	{ 0xabb35452, "mmc_can_gpio_cd" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x17f2ea87, "mmc_detect_change" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xceb7313e, "led_classdev_register_ext" },
	{ 0xbc8d0773, "mmc_add_host" },
	{ 0x280a8ff0, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb2b7af1c, "mmc_remove_host" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8794685b, "mmc_can_gpio_ro" },
	{ 0x195c3101, "mmc_gpio_get_ro" },
	{ 0xaeaa78e0, "mmc_regulator_set_vqmmc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x73410d0e, "device_property_read_u64_array" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc4fea6f2, "regulator_is_supported_voltage" },
	{ 0x90df395f, "regulator_get_current_limit" },
	{ 0x29764a8e, "regulator_enable" },
	{ 0x2222151b, "dma_alloc_attrs" },
	{ 0x4aafc03a, "devm_kmalloc" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x24f71e15, "dma_map_page_attrs" },
	{ 0x4a42c00a, "devm_kfree" },
	{ 0xe7c6ebad, "mmc_regulator_get_supply" },
	{ 0x7e67e7b3, "dma_max_mapping_size" },
	{ 0xc43914a8, "dma_set_mask" },
	{ 0x2c268af5, "dma_set_coherent_mask" },
	{ 0xac5edeaf, "dev_driver_string" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x95ff0ac8, "sg_miter_start" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x67b3a295, "mmc_command_done" },
	{ 0x57aad103, "sdio_signal_irq" },
	{ 0x363d0c7f, "sg_miter_next" },
	{ 0xfc43fb6c, "sg_miter_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x23169a38, "param_ops_uint" },
	{ 0xae778c8b, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");


MODULE_INFO(srcversion, "3CF9A24B13F623438CB5E2B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
