#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb326330f, "ptp_cancel_worker_sync" },
	{ 0xc283d5e1, "genphy_soft_reset" },
	{ 0xc979377b, "genphy_read_mmd_unsupported" },
	{ 0xd1fbe52a, "genphy_write_mmd_unsupported" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x28398f1b, "phy_drivers_register" },
	{ 0xb8580630, "mdiobus_read" },
	{ 0x6fa0d3fa, "mdiobus_write" },
	{ 0x454efafe, "genphy_read_status" },
	{ 0x493492bf, "phy_modify" },
	{ 0x647954ad, "genphy_read_abilities" },
	{ 0x5465d2dc, "phy_read_mmd" },
	{ 0xdc8f596e, "phy_write_mmd" },
	{ 0x79015b33, "genphy_restart_aneg" },
	{ 0x69b264d6, "phy_trigger_machine" },
	{ 0x39bcd0df, "phy_error" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5e71163c, "ptp_classify_raw" },
	{ 0x33a7e308, "ptp_parse_header" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x27e44682, "skb_complete_tx_timestamp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xecafd36a, "__mdiobus_write" },
	{ 0x985f01a6, "__mdiobus_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5a9fdad6, "_dev_err" },
	{ 0x6047cd2b, "ethnl_cable_test_result_with_src" },
	{ 0xce8eac05, "ethnl_cable_test_fault_length_with_src" },
	{ 0xf9a482f9, "msleep" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x83990394, "phy_drivers_unregister" },
	{ 0xe864a229, "genphy_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb6e89701, "__genphy_config_aneg" },
	{ 0xeb5c36fd, "phy_eee_cap1_features" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x37becf5d, "phy_init_hw" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x15fff98b, "phy_modify_mmd" },
	{ 0x33ea29bd, "skb_queue_purge_reason" },
	{ 0x0cfe0861, "ptp_find_pin_unlocked" },
	{ 0xda69edc9, "ptp_clock_event" },
	{ 0xb3421af7, "ptp_find_pin" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x4aafc03a, "devm_kmalloc" },
	{ 0x7c504439, "devm_phy_package_join" },
	{ 0xdf5ed88a, "devm_gpiod_get_optional" },
	{ 0x5bcd7c6b, "gpiod_set_consumer_name" },
	{ 0xfd84847b, "gpiod_set_value_cansleep" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x0eef0444, "ptp_clock_register" },
	{ 0x1588a82a, "__dynamic_dev_dbg" },
	{ 0x1795948c, "genphy_suspend" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x655f2821, "phy_disable_eee" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xad203384, "kmalloc_caches" },
	{ 0x1f2c54dd, "__kmalloc_cache_noprof" },
	{ 0x652dcc7d, "skb_push" },
	{ 0x927909d5, "netif_rx" },
	{ 0x037a0cba, "kfree" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x959e165c, "devm_clk_get_optional_enabled" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xae778c8b, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:????????????0010000101100001000?");
MODULE_ALIAS("mdio:????????00100010000101100010????");
MODULE_ALIAS("mdio:????????00100010000101100100????");
MODULE_ALIAS("mdio:????????0010001000010110000110??");
MODULE_ALIAS("mdio:????????00100010000101110010????");
MODULE_ALIAS("mdio:????????001000100001010101010101");
MODULE_ALIAS("mdio:????????001000100001010101010110");
MODULE_ALIAS("mdio:????????00100010000101010001????");
MODULE_ALIAS("mdio:????????00100010000101010101????");
MODULE_ALIAS("mdio:????????00100010000101010111????");
MODULE_ALIAS("mdio:????????00100010000101010110????");
MODULE_ALIAS("mdio:????????00001110011100100011????");
MODULE_ALIAS("mdio:????????00100010000101000011????");
MODULE_ALIAS("mdio:????????00100010000101100011????");
MODULE_ALIAS("mdio:????????00100010000101100110????");
MODULE_ALIAS("mdio:????????00100010000101100111????");
MODULE_ALIAS("mdio:????????00100010000101100101????");

MODULE_INFO(srcversion, "C396D884909D44EC3C6F0DC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
