#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0xba9a9f5d, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0xac657a57, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0xf443370e, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0xb21653f1, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0xdb5c3358, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0x7051da0e, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0xe16c1780, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0xe79ee4c3, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0x3369dd62, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0x809ca9f3, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0x702eec07, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0x4989819a, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0x01d9dc39, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0xcb5cb684, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0xfde4733e, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0x5c9985a5, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0xb36e0a39, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0x5ee1a2b2, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0xcc3dc89c, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0x5fb94659, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0xc4639c71, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0xe38a2167, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0x2f36484c, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0x7efb84a7, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0x7f630614, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0xc87abb9c, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0x50150eff, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0x657ec780, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0x9bd63512, "_gpl");
SYMBOL_CRC(rt2800_config, 0xbe70f937, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0x266aa58b, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0x6c950ce8, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0x4f4a1449, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0x9771e9dc, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0xa1feec90, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0x07c9f4d5, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0x426bf84a, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0x9ed690d4, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0x783e0ceb, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0xaa868d01, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0x6dbff3b4, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0x69b5dfca, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0xcd44a7cd, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0x532614dd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15ba50a6, "jiffies" },
	{ 0x652dcc7d, "skb_push" },
	{ 0x57fce593, "dev_kfree_skb_any_reason" },
	{ 0x8e25c161, "__skb_pad" },
	{ 0x20896ba0, "rt2x00lib_txdone_noinfo" },
	{ 0xed06fc9b, "ieee80211_restart_hw" },
	{ 0xe9a03fc8, "skb_pull" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xc755f30e, "_dev_info" },
	{ 0x0221df08, "rt2x00lib_set_mac_address" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x037a0cba, "kfree" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x23169a38, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x5a9fdad6, "_dev_err" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xbea2ecaa, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6456dce5, "rt2x00lib_txdone" },
	{ 0x1588a82a, "__dynamic_dev_dbg" },
	{ 0x65930b6e, "rt2x00queue_get_entry" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x49dc483e, "rt2x00lib_get_bssidx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3f6be643, "rt2x00mac_conf_tx" },
	{ 0xc7eb320c, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x21311a17, "_dev_warn" },
	{ 0xae778c8b, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "FB782670CE4098FB49520E9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
