#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ndlc_open, "", "");
KSYMTAB_FUNC(ndlc_close, "", "");
KSYMTAB_FUNC(ndlc_send, "", "");
KSYMTAB_FUNC(ndlc_recv, "", "");
KSYMTAB_FUNC(ndlc_probe, "", "");
KSYMTAB_FUNC(ndlc_remove, "", "");
KSYMTAB_FUNC(st_nci_probe, "_gpl", "");
KSYMTAB_FUNC(st_nci_remove, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_load_session, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_event_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_hci_cmd_received, "_gpl", "");
KSYMTAB_FUNC(st_nci_disable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_enable_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_discover_se, "_gpl", "");
KSYMTAB_FUNC(st_nci_se_io, "", "");
KSYMTAB_FUNC(st_nci_se_init, "", "");
KSYMTAB_FUNC(st_nci_se_deinit, "", "");
KSYMTAB_FUNC(st_nci_vendor_cmds_init, "", "");

SYMBOL_CRC(ndlc_open, 0xb6920e39, "");
SYMBOL_CRC(ndlc_close, 0x7199f854, "");
SYMBOL_CRC(ndlc_send, 0x2285cbe5, "");
SYMBOL_CRC(ndlc_recv, 0xac2b5a31, "");
SYMBOL_CRC(ndlc_probe, 0x50d9c2f1, "");
SYMBOL_CRC(ndlc_remove, 0x8bd4bf4b, "");
SYMBOL_CRC(st_nci_probe, 0xd41f79be, "_gpl");
SYMBOL_CRC(st_nci_remove, 0x0521ee86, "_gpl");
SYMBOL_CRC(st_nci_hci_load_session, 0x782bb380, "_gpl");
SYMBOL_CRC(st_nci_hci_event_received, 0x9b2f6731, "_gpl");
SYMBOL_CRC(st_nci_hci_cmd_received, 0x6b7b0b2b, "_gpl");
SYMBOL_CRC(st_nci_disable_se, 0xac1d3126, "_gpl");
SYMBOL_CRC(st_nci_enable_se, 0xd545a902, "_gpl");
SYMBOL_CRC(st_nci_discover_se, 0x0e9dbb4f, "_gpl");
SYMBOL_CRC(st_nci_se_io, 0x47cf3eef, "");
SYMBOL_CRC(st_nci_se_init, 0xeba26924, "");
SYMBOL_CRC(st_nci_se_deinit, 0x5241f68d, "");
SYMBOL_CRC(st_nci_vendor_cmds_init, 0x3b5a0225, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe8e8a463, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x2fc3b2dc, "nfc_se_transaction" },
	{ 0x5a9fdad6, "_dev_err" },
	{ 0xe9a03fc8, "skb_pull" },
	{ 0x16948e0a, "nci_hci_connect_gate" },
	{ 0x878f9a41, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x652dcc7d, "skb_push" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xde3fe00b, "nci_prop_cmd" },
	{ 0xd32b8e0e, "nci_core_conn_create" },
	{ 0x946a13c1, "nci_nfcc_loopback" },
	{ 0xc0fbc3ef, "nci_unregister_device" },
	{ 0x98d1a02d, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9b6c1793, "nci_hci_send_event" },
	{ 0x7286cca3, "nci_hci_clear_all_pipes" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2431396d, "nfc_se_connectivity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc0271cc1, "nci_hci_send_cmd" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1f2c54dd, "__kmalloc_cache_noprof" },
	{ 0x01aed8b0, "nfc_vendor_cmd_reply" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0xc3642acb, "nci_recv_frame" },
	{ 0xbd42c09f, "nci_hci_dev_session_init" },
	{ 0xd19d6c68, "nci_hci_set_param" },
	{ 0x57622ef8, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0xad203384, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1dd32eea, "skb_queue_head" },
	{ 0x346c961a, "nci_free_device" },
	{ 0xbf29a711, "nci_allocate_device" },
	{ 0xee2a1c30, "nci_register_device" },
	{ 0x4aafc03a, "devm_kmalloc" },
	{ 0xf1db358e, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x35745897, "nfc_add_se" },
	{ 0x903472b9, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x87dd68fc, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x33ea29bd, "skb_queue_purge_reason" },
	{ 0x34eebcbb, "nci_nfcee_mode_set" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x81338b49, "nci_hci_get_param" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xae778c8b, "module_layout" },
};

MODULE_INFO(depends, "nfc,nci");


MODULE_INFO(srcversion, "5FCF973BF4AA30B3DDAC57D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
