#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0x415b023f, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x01000e51, "schedule" },
	{ 0x31b2b447, "nvme_remove_io_tag_set" },
	{ 0xa82ccab7, "nvme_cleanup_cmd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x8f3e5701, "nvme_mpath_start_request" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc4e18967, "nvmf_unregister_transport" },
	{ 0x43ec64d8, "blkcg_get_fc_appid" },
	{ 0xfa91ff59, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x3f045ad6, "nvme_change_ctrl_state" },
	{ 0xc755f30e, "_dev_info" },
	{ 0xa958bac2, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x60cdfc81, "nvme_alloc_io_tag_set" },
	{ 0x990dafa7, "nvme_fail_nonready_command" },
	{ 0x67b1dc4f, "kobject_uevent_env" },
	{ 0xd475bff7, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x5a9fdad6, "_dev_err" },
	{ 0xee4bff9b, "device_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb0a3203e, "blk_sync_queue" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x68460527, "blkcg_set_fc_appid" },
	{ 0x40d08476, "__blk_rq_map_sg" },
	{ 0xffb7c514, "ida_free" },
	{ 0x7b0db31d, "nvmf_reg_read64" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb4de59f4, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xc3e0d518, "nvmf_connect_admin_queue" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9224e662, "nvme_enable_ctrl" },
	{ 0x8fd807ee, "nvme_unquiesce_admin_queue" },
	{ 0x21311a17, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x801b45f6, "nvme_unquiesce_io_queues" },
	{ 0x66a9681c, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x374d7601, "nvmf_reg_write32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x32f174ab, "nvmf_should_reconnect" },
	{ 0x3e5ff2b5, "__dma_sync_single_for_device" },
	{ 0x34569e15, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc1eba61f, "device_destroy" },
	{ 0x1f2c54dd, "__kmalloc_cache_noprof" },
	{ 0x65a69dcf, "nvme_set_queue_count" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x62a00599, "nvmf_register_transport" },
	{ 0x5a3b280f, "blk_mq_start_request" },
	{ 0x86c1c661, "nvme_quiesce_io_queues" },
	{ 0xa53616a6, "blk_mq_tagset_busy_iter" },
	{ 0x05f2ca05, "nvme_stop_ctrl" },
	{ 0x6fad2ef7, "dma_unmap_sg_attrs" },
	{ 0x37c819d8, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0xb7ac72a2, "nvme_reset_ctrl" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xc569cf73, "nvme_quiesce_admin_queue" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xa69ca453, "class_register" },
	{ 0x61dff52a, "__nvme_check_ready" },
	{ 0xad203384, "kmalloc_caches" },
	{ 0x6667eaa6, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3f09c24c, "nvme_add_ctrl" },
	{ 0x9fac69d7, "nvme_remove_admin_tag_set" },
	{ 0xa5c3b936, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8d6f66d0, "nvme_uninit_ctrl" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x74bd710e, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3e367bfa, "nvmf_free_options" },
	{ 0xa43df2af, "nvmf_subsystem_reset" },
	{ 0xcde88045, "blk_mq_tagset_wait_completed_request" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3cebe5f3, "nvme_stop_keep_alive" },
	{ 0xa8b65596, "blk_mq_complete_request_remote" },
	{ 0xe57484ff, "dma_unmap_page_attrs" },
	{ 0x3ac310e2, "nvme_setup_cmd" },
	{ 0x1b3ebc86, "nvme_start_ctrl" },
	{ 0xc35f0729, "nvme_alloc_admin_tag_set" },
	{ 0x496a76eb, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x4b706a8d, "nvmf_reg_read32" },
	{ 0xe2964344, "__wake_up" },
	{ 0x9e883232, "nvme_delete_ctrl" },
	{ 0x098378b0, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xdb59dad0, "nvme_should_fail" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xac5edeaf, "dev_driver_string" },
	{ 0x44452116, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x24f71e15, "dma_map_page_attrs" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0xae778c8b, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "11A7F7BFE8FD84FD57F23E7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
