#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0xda33c4ff, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0xaa2ebf6b, "_gpl");
SYMBOL_CRC(fuse_request_end, 0x5bf03420, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x77e65a44, "_gpl");
SYMBOL_CRC(fuse_abort_conn, 0x53fdada1, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x890afa2f, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0xd86ef849, "_gpl");
SYMBOL_CRC(fuse_do_open, 0xde301e23, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x6736c77d, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0xe81eca3d, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0xd955bb2d, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0xc9c55956, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x9e67e7fe, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x487b1c15, "_gpl");
SYMBOL_CRC(fuse_send_init, 0x9e43fdd8, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0xbe4ed4d6, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0xcd17b7f0, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x6ec0a5a6, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0xbe5ac11b, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0xccfd856d, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x76f54941, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0xfcf566be, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x9f3c10e0, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0xe40e0d5a, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0xb474a4b3, "");
SYMBOL_CRC(fuse_do_ioctl, 0x2fdc4678, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0x48515598, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc0b0fbaf, "folio_mark_dirty" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0xc7111366, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0xa39a1954, "setattr_should_drop_suidgid" },
	{ 0xf9f3f380, "security_release_secctx" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x3eb4c417, "iov_iter_extract_pages" },
	{ 0x46218e72, "backing_file_write_iter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xf9d6d255, "copy_page_from_iter_atomic" },
	{ 0x8cc638b0, "fs_param_is_gid" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0x12091d04, "fs_context_for_submount" },
	{ 0x500926fd, "__folio_swap_cache_index" },
	{ 0x994b73d1, "inode_init_once" },
	{ 0x88bb0a5d, "file_write_and_wait_range" },
	{ 0xb95f9af5, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x014bc8af, "nosteal_pipe_buf_ops" },
	{ 0x44c21e30, "ilookup5" },
	{ 0x261c24db, "prepare_creds" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6a8468e3, "inode_nohighmem" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x7b6c4350, "release_pages" },
	{ 0x0791df3b, "page_get_link_raw" },
	{ 0xa3c7a433, "perf_trace_run_bpf_submit" },
	{ 0x61fdfbff, "generic_file_direct_write" },
	{ 0x0329326c, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x72fa4fd3, "generic_file_read_iter" },
	{ 0x1cac19f8, "inode_maybe_inc_iversion" },
	{ 0x6cc7e1d3, "unlock_page" },
	{ 0x14fed624, "thp_get_unmapped_area" },
	{ 0xa07a37f0, "memchr" },
	{ 0x15d6abbb, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf1f91db0, "put_fs_context" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x4a7e2f6c, "backing_file_splice_read" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0xda650c22, "write_cache_pages" },
	{ 0x98fb968f, "file_update_time" },
	{ 0xf1cb1562, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4c59a609, "kmem_cache_alloc_lru_noprof" },
	{ 0x84403e23, "kmem_cache_free" },
	{ 0x335e4c49, "fget_raw" },
	{ 0x0925493f, "clear_page_orig" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5cb43664, "from_kgid" },
	{ 0x5e712a3c, "fasync_helper" },
	{ 0x4c20eed2, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x6999bd71, "proc_douintvec_minmax" },
	{ 0xb6755060, "__io_uring_cmd_do_in_task" },
	{ 0x2cc2ce4d, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xbe175c91, "from_vfsgid" },
	{ 0x7cf91bf0, "write_inode_now" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x0ec9c029, "d_obtain_alias" },
	{ 0xd68cd15b, "file_modified" },
	{ 0x30e5effc, "copy_page_to_iter" },
	{ 0x3ddc5094, "__put_devmap_managed_folio_refs" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x4593f0ba, "folio_end_read" },
	{ 0x43a9f678, "finish_no_open" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xbeac3671, "__folio_start_writeback" },
	{ 0x56294671, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x4870c883, "kill_litter_super" },
	{ 0x4be7cc02, "folio_end_writeback" },
	{ 0x8f075396, "folio_alloc_noprof" },
	{ 0xe2651dc0, "from_kuid" },
	{ 0x5b60743a, "current_in_userns" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xea3288ad, "fc_mount" },
	{ 0xec813656, "register_sysctl_sz" },
	{ 0xfb578fc5, "memset" },
	{ 0xa6363dc2, "sysfs_remove_mount_point" },
	{ 0xd4b55ab8, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeec7d27c, "kmem_cache_alloc_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x95ee6498, "in_group_or_capable" },
	{ 0x07cea24d, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xba371db6, "d_delete" },
	{ 0x24ecc6df, "__kmem_cache_create_args" },
	{ 0xaa9c9592, "io_uring_cmd_done" },
	{ 0x00358abc, "from_kgid_munged" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xbe368c75, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0xeab20dfc, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x09696775, "nonseekable_open" },
	{ 0xb1aeb764, "dax_finish_sync_fault" },
	{ 0x6aa70466, "copy_page_from_iter" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x33012b6f, "backing_file_read_iter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x750d7f8f, "noop_direct_IO" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7230beea, "fdget" },
	{ 0x6a710e91, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5f00b168, "generic_read_dir" },
	{ 0x58042f01, "trace_event_buffer_reserve" },
	{ 0xf8523227, "d_add" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x57647c18, "param_ops_bool" },
	{ 0xedbc1cc2, "init_user_ns" },
	{ 0x409386ef, "folio_copy" },
	{ 0x4a958cfa, "d_find_alias" },
	{ 0x674ee015, "invalidate_inode_pages2" },
	{ 0x5bed5023, "inode_set_ctime_current" },
	{ 0x5c6b090e, "inc_nlink" },
	{ 0x3bd91320, "seq_write" },
	{ 0x56f74c9a, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa7c9a38e, "get_tree_bdev" },
	{ 0x1f2c54dd, "__kmalloc_cache_noprof" },
	{ 0xb3bb5a03, "set_anon_super_fc" },
	{ 0x56470118, "__warn_printk" },
	{ 0x973a0bf3, "seq_printf" },
	{ 0x588e8af1, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbf6eb4e6, "generic_delete_inode" },
	{ 0x45d5087c, "deactivate_locked_super" },
	{ 0xef7dac4f, "touch_atime" },
	{ 0xf1153ce8, "__percpu_down_read" },
	{ 0x84fd1995, "__d_lookup_unhash_wake" },
	{ 0x6ea7f90b, "set_page_dirty_lock" },
	{ 0xdc7de797, "pid_nr_ns" },
	{ 0xbbadefe4, "generic_file_open" },
	{ 0x13192d1e, "truncate_inode_pages_range" },
	{ 0x1ec52030, "__put_user_ns" },
	{ 0x3f9a0327, "alloc_pages_noprof" },
	{ 0xbe64c394, "__folio_lock" },
	{ 0xbd1261d8, "filemap_dirty_folio" },
	{ 0x4eb31a88, "pagecache_get_page" },
	{ 0x571fb8cd, "stream_open" },
	{ 0x16904ea9, "rcuwait_wake_up" },
	{ 0xa7d09aac, "node_data" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xb8273d0b, "__wake_up_sync" },
	{ 0xf70f1649, "add_to_pipe" },
	{ 0xe6045dc8, "__fs_parse" },
	{ 0xf118b1d3, "dax_layout_busy_page_range" },
	{ 0x6231942c, "filemap_splice_read" },
	{ 0x6c54bd2f, "posix_acl_to_xattr" },
	{ 0xdb1b5a91, "kill_anon_super" },
	{ 0x0ad57984, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xe0c382d8, "iget5_locked" },
	{ 0x2c37642e, "security_dentry_init_security" },
	{ 0x630314b6, "filemap_write_and_wait_range" },
	{ 0x3c974f55, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xbe5beec2, "generic_write_checks" },
	{ 0x0f99005d, "iov_iter_revert" },
	{ 0x8da0f520, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x74e4dbb6, "mntget" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x0256e3f5, "filemap_fault" },
	{ 0x2cddb012, "d_invalidate" },
	{ 0xc34cf5c1, "__mark_inode_dirty" },
	{ 0xd4e572e2, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x032d41ac, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe5bf900d, "io_uring_cmd_mark_cancelable" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbbf14c5a, "iov_iter_npages" },
	{ 0x09b53e14, "interval_tree_remove" },
	{ 0x8c5bc498, "drop_nlink" },
	{ 0xe9c36ed2, "fault_in_iov_iter_readable" },
	{ 0x1dc72537, "filemap_check_errors" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xad203384, "kmalloc_caches" },
	{ 0x1669e9ad, "inode_set_ctime_to_ts" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0x76d6a7a4, "fs_param_is_uid" },
	{ 0x21abbec8, "bdi_set_max_ratio" },
	{ 0xb1efd8b6, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb1b6a215, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xecdf2dc8, "super_setup_bdi_name" },
	{ 0xc8293b67, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x4e52a349, "truncate_inode_pages" },
	{ 0x95165243, "noop_backing_dev_info" },
	{ 0x7f3f0af3, "pipe_lock" },
	{ 0xa0282847, "generic_fillattr" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x19cd43f0, "vfs_fsync_range" },
	{ 0x47d95bd5, "setattr_prepare" },
	{ 0x36bfb18e, "filemap_migrate_folio" },
	{ 0x94d9648a, "clear_nlink" },
	{ 0xf4c1c92d, "file_check_and_advance_wb_err" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4548bacb, "d_alloc_parallel" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xb611e631, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0x9d7bc37b, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x81278447, "make_vfsgid" },
	{ 0x02d124ca, "clear_inode" },
	{ 0x397fc0d2, "inode_to_bdi" },
	{ 0x784a59a2, "find_pid_ns" },
	{ 0x20978fb9, "idr_find" },
	{ 0x58962ff3, "invalid_mnt_idmap" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6149e846, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1d36b030, "pipe_unlock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x15d804f1, "unpin_folio" },
	{ 0x29791b7f, "fs_param_is_string" },
	{ 0xef8c216a, "folio_unlock" },
	{ 0x2328dd25, "new_inode" },
	{ 0x9f931785, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0x6f595239, "dump_page" },
	{ 0xaefd9c36, "trace_raw_output_prep" },
	{ 0x5f9bd3c6, "forget_all_cached_acls" },
	{ 0x6fba2e63, "init_special_inode" },
	{ 0x9d0f7f88, "unregister_filesystem" },
	{ 0x6b97f94a, "import_iovec" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x360439fa, "task_active_pid_ns" },
	{ 0x9f2f4422, "iov_iter_single_seg_count" },
	{ 0x9f757c08, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xdfa54a9a, "filemap_fdatawrite_range" },
	{ 0x766953c9, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x05e35ba9, "d_alloc_name" },
	{ 0xe8b262b0, "replace_page_cache_folio" },
	{ 0x72eabb52, "inode_query_iversion" },
	{ 0xb0379785, "iov_iter_advance" },
	{ 0x7969e6b2, "kill_fasync" },
	{ 0x74770b5a, "d_make_root" },
	{ 0x480fb84f, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5fec1a40, "backing_file_splice_write" },
	{ 0x51ddf39d, "sb_set_blocksize" },
	{ 0x5459f1ae, "fget" },
	{ 0xc918fe97, "simple_fill_super" },
	{ 0x3e3666a6, "sync_filesystem" },
	{ 0x519d4475, "noop_dirty_folio" },
	{ 0x1bfbc3a6, "sget_fc" },
	{ 0x1dd7cc92, "param_set_uint" },
	{ 0x34007da8, "d_splice_alias" },
	{ 0x643bc109, "iov_iter_get_pages2" },
	{ 0x0b6c6c19, "direct_write_fallback" },
	{ 0xb229af5c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7de93610, "from_vfsuid" },
	{ 0x53de65b9, "generic_permission" },
	{ 0x27b7da7e, "truncate_pagecache_range" },
	{ 0x037a0cba, "kfree" },
	{ 0x8b8cdf28, "invalidate_inode_pages2_range" },
	{ 0x0c104655, "posix_lock_file" },
	{ 0x6d6f4709, "finish_open" },
	{ 0x1d39a75d, "dax_iomap_rw" },
	{ 0x45952322, "iput" },
	{ 0x11ee9ac5, "kiocb_modified" },
	{ 0x34cb789f, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0xd0b94fa9, "logfc" },
	{ 0xc1f87869, "iter_file_splice_write" },
	{ 0x29911ae6, "mod_node_page_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x15acdb87, "folio_mark_dirty_lock" },
	{ 0x3734d9de, "init_pid_ns" },
	{ 0xd3e2f4f9, "dax_iomap_fault" },
	{ 0xd3997bc8, "iov_iter_init" },
	{ 0x0ed885fd, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x8905cba0, "sysfs_create_mount_point" },
	{ 0xcf3a6a5b, "generic_file_write_iter" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xceb04b5e, "import_ubuf" },
	{ 0x4395be28, "register_filesystem" },
	{ 0x19eb284d, "folio_add_lru" },
	{ 0x30fd971b, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xa4de1fdc, "sync_inode_metadata" },
	{ 0x3294c0f2, "simple_empty" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x9cd2b1cc, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7b4ee9d4, "shrink_dcache_parent" },
	{ 0x284d2b0c, "make_vfsuid" },
	{ 0x587902af, "__put_cred" },
	{ 0x63fcc24c, "backing_file_open" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0xfe928e15, "get_tree_nodev" },
	{ 0xb4f5c83a, "splice_file_range" },
	{ 0x3d6fa9a4, "trace_event_buffer_commit" },
	{ 0x8bc72a0f, "filemap_fdatawrite_range_kick" },
	{ 0x3cb4ebb1, "simple_inode_init_ts" },
	{ 0x6eeae8f6, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x872e4be9, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xfb1cf610, "fs_param_is_u32" },
	{ 0x9e893447, "inode_newsize_ok" },
	{ 0xeb8558ad, "d_drop" },
	{ 0xa871688f, "kill_block_super" },
	{ 0x62bf6ace, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x35d307df, "bdi_put" },
	{ 0xa71a80a3, "posix_acl_from_xattr" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0xbe49f37f, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x65d79536, "unregister_sysctl_table" },
	{ 0xdf8d971e, "make_kuid" },
	{ 0x6e2c8e0a, "truncate_inode_pages_final" },
	{ 0x1b9d2ffa, "fs_kobj" },
	{ 0x78ef29d6, "__filemap_set_wb_err" },
	{ 0x0af15cb7, "simple_dir_operations" },
	{ 0x1a8488b4, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xec96932d, "backing_file_mmap" },
	{ 0xff1f62e5, "__filemap_get_folio" },
	{ 0x46afccb2, "const_pcpu_hot" },
	{ 0xae778c8b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3AD123B9834336B06A479EA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
