#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c746589, "inode_get_bytes" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x90f50a94, "inode_set_bytes" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xfb1cf610, "fs_param_is_u32" },
	{ 0x9e893447, "inode_newsize_ok" },
	{ 0xa871688f, "kill_block_super" },
	{ 0x62bf6ace, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0x70950b99, "block_invalidate_folio" },
	{ 0xc59a4717, "generic_write_end" },
	{ 0xa71a80a3, "posix_acl_from_xattr" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8f786bee, "fs_umode_to_dtype" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x2f670544, "load_nls" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xdf8d971e, "make_kuid" },
	{ 0x5c682f97, "create_empty_buffers" },
	{ 0x6e2c8e0a, "truncate_inode_pages_final" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x464d02fe, "sync_blockdev" },
	{ 0x78ef29d6, "__filemap_set_wb_err" },
	{ 0x1a8488b4, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x9e464f55, "sync_mapping_buffers" },
	{ 0xff1f62e5, "__filemap_get_folio" },
	{ 0x46afccb2, "const_pcpu_hot" },
	{ 0x492afe3e, "ilookup" },
	{ 0xc0b0fbaf, "folio_mark_dirty" },
	{ 0x2f599c12, "invalidate_inode_buffers" },
	{ 0xda24fb64, "blk_finish_plug" },
	{ 0x9e79836c, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x61cd55d6, "submit_bio" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xf9d6d255, "copy_page_from_iter_atomic" },
	{ 0x8cc638b0, "fs_param_is_gid" },
	{ 0x994b73d1, "inode_init_once" },
	{ 0x94bf03ca, "utf8_to_utf32" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x97a4b728, "bio_put" },
	{ 0x69b59990, "balance_dirty_pages_ratelimited" },
	{ 0xafa8c352, "__brelse" },
	{ 0x9391e576, "posix_acl_create" },
	{ 0x6a8468e3, "inode_nohighmem" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x72fa4fd3, "generic_file_read_iter" },
	{ 0x6cc7e1d3, "unlock_page" },
	{ 0x45c599be, "set_cached_acl" },
	{ 0x15d6abbb, "truncate_pagecache" },
	{ 0x4addef58, "sync_dirty_buffer" },
	{ 0x0d7c5a35, "insert_inode_locked" },
	{ 0xe122cd55, "dentry_path_raw" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd0933d3e, "setattr_copy" },
	{ 0xda650c22, "write_cache_pages" },
	{ 0x98fb968f, "file_update_time" },
	{ 0x4af0ccca, "__wait_on_buffer" },
	{ 0xf1cb1562, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4c59a609, "kmem_cache_alloc_lru_noprof" },
	{ 0x84403e23, "kmem_cache_free" },
	{ 0x5cb43664, "from_kgid" },
	{ 0x70f96e96, "__bh_read" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x5089f0d7, "bio_chain" },
	{ 0x06367c14, "blkdev_issue_zeroout" },
	{ 0x2cc2ce4d, "file_remove_privs" },
	{ 0x6a98efe2, "mpage_writepages" },
	{ 0x3a40247e, "vmap" },
	{ 0x6ff92dff, "bio_add_page" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7cf91bf0, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x0ec9c029, "d_obtain_alias" },
	{ 0xd68cd15b, "file_modified" },
	{ 0xd22b7d36, "posix_acl_chmod" },
	{ 0x3ddc5094, "__put_devmap_managed_folio_refs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x679a2a8c, "__bread_gfp" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x478e2a8a, "block_dirty_folio" },
	{ 0x11089ac7, "_ctype" },
	{ 0x4ac3eeae, "mpage_read_folio" },
	{ 0x8f075396, "folio_alloc_noprof" },
	{ 0xca87422c, "proc_mkdir" },
	{ 0xe2651dc0, "from_kuid" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x310c3adc, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeec7d27c, "kmem_cache_alloc_noprof" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x02ba1187, "vm_zone_stat" },
	{ 0x07cea24d, "make_kgid" },
	{ 0xcf37e7c8, "invalidate_bdev" },
	{ 0xece784c2, "rb_first" },
	{ 0x24ecc6df, "__kmem_cache_create_args" },
	{ 0x00358abc, "from_kgid_munged" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x3a2000bb, "truncate_setsize" },
	{ 0x9f35f084, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3c4a6aa1, "generic_encode_ino32_fh" },
	{ 0x22e2aff9, "unlock_buffer" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5f00b168, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2f8666b4, "mpage_readahead" },
	{ 0xed130c40, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0xedbc1cc2, "init_user_ns" },
	{ 0x90266e68, "simple_rename_timestamp" },
	{ 0x4a958cfa, "d_find_alias" },
	{ 0x5bed5023, "inode_set_ctime_current" },
	{ 0x5c6b090e, "inc_nlink" },
	{ 0x3bd91320, "seq_write" },
	{ 0x56f74c9a, "__folio_put" },
	{ 0xc5d7bb0d, "remove_proc_entry" },
	{ 0xa7c9a38e, "get_tree_bdev" },
	{ 0x1f2c54dd, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x973a0bf3, "seq_printf" },
	{ 0x588e8af1, "dput" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x21ce14fa, "iov_iter_zero" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x29c0006e, "__lock_buffer" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x76b0812c, "posix_acl_update_mode" },
	{ 0xbbadefe4, "generic_file_open" },
	{ 0x3f9a0327, "alloc_pages_noprof" },
	{ 0xbe64c394, "__folio_lock" },
	{ 0x4eb31a88, "pagecache_get_page" },
	{ 0x065b8dfd, "is_bad_inode" },
	{ 0x216d7adf, "single_release" },
	{ 0x0edda3d7, "block_write_begin" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x045d9fb9, "generic_fh_to_parent" },
	{ 0xe6045dc8, "__fs_parse" },
	{ 0x6231942c, "filemap_splice_read" },
	{ 0xa3988c37, "folio_set_bh" },
	{ 0x6c54bd2f, "posix_acl_to_xattr" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0x0ad57984, "from_kuid_munged" },
	{ 0xe0c382d8, "iget5_locked" },
	{ 0xe0bb5ead, "d_parent_ino" },
	{ 0x58a7d17a, "__generic_file_write_iter" },
	{ 0x630314b6, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x80e28034, "clean_bdev_aliases" },
	{ 0x0f99005d, "iov_iter_revert" },
	{ 0xbe5beec2, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x51364cb6, "single_open" },
	{ 0xc34cf5c1, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4e572e2, "generic_file_llseek" },
	{ 0xcfe39177, "make_bad_inode" },
	{ 0x25fb8dc4, "bio_alloc_bioset" },
	{ 0x032d41ac, "__kvmalloc_node_noprof" },
	{ 0x5c6c83a6, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0x365d52b1, "submit_bio_wait" },
	{ 0x8c5bc498, "drop_nlink" },
	{ 0xe9c36ed2, "fault_in_iov_iter_readable" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xad203384, "kmalloc_caches" },
	{ 0x1669e9ad, "inode_set_ctime_to_ts" },
	{ 0x389164f7, "iget_failed" },
	{ 0x76d6a7a4, "fs_param_is_uid" },
	{ 0x8eb6c134, "fs_bio_set" },
	{ 0xb1efd8b6, "kmem_cache_destroy" },
	{ 0x0f287dcc, "blkdev_issue_discard" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xdf3ea245, "bh_uptodate_or_lock" },
	{ 0x8d2e8175, "inode_init_owner" },
	{ 0x392657ff, "filemap_fdatawrite" },
	{ 0xa0282847, "generic_fillattr" },
	{ 0x19cd43f0, "vfs_fsync_range" },
	{ 0x47d95bd5, "setattr_prepare" },
	{ 0x94d9648a, "clear_nlink" },
	{ 0xe55633d1, "generic_block_bmap" },
	{ 0xb3b3085e, "filemap_flush" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xb611e631, "d_instantiate" },
	{ 0x57f4f786, "blk_start_plug" },
	{ 0x02d124ca, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa43be780, "generic_fh_to_dentry" },
	{ 0x2b4ddb5d, "discard_new_inode" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x29791b7f, "fs_param_is_string" },
	{ 0xef8c216a, "folio_unlock" },
	{ 0xb0e602eb, "memmove" },
	{ 0x2328dd25, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6fba2e63, "init_special_inode" },
	{ 0x9d0f7f88, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x1ca9fb01, "mark_buffer_dirty" },
	{ 0xca9360b5, "rb_next" },
	{ 0xdfa54a9a, "filemap_fdatawrite_range" },
	{ 0x26d932d8, "inode_set_flags" },
	{ 0x746e5c85, "__blockdev_direct_IO" },
	{ 0x74770b5a, "d_make_root" },
	{ 0x51ddf39d, "sb_set_blocksize" },
	{ 0xa3e9277b, "block_truncate_page" },
	{ 0x3e3666a6, "sync_filesystem" },
	{ 0x34007da8, "d_splice_alias" },
	{ 0x68df90d6, "current_time" },
	{ 0xedc6cbed, "fiemap_prep" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcc934b34, "ihold" },
	{ 0xafb659f6, "inode_dio_wait" },
	{ 0x94961283, "vunmap" },
	{ 0x037a0cba, "kfree" },
	{ 0xe4573744, "generic_file_fsync" },
	{ 0x4546fb7a, "read_cache_page" },
	{ 0x45952322, "iput" },
	{ 0x34cb789f, "pcpu_hot" },
	{ 0xb2946660, "seq_lseek" },
	{ 0xd0b94fa9, "logfc" },
	{ 0xc1f87869, "iter_file_splice_write" },
	{ 0xa8833204, "proc_create_data" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x4395be28, "register_filesystem" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xa4de1fdc, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8bc72a0f, "filemap_fdatawrite_range_kick" },
	{ 0xae778c8b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "76DD268EBFEA6E82223A030");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
