#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hdac_get_device_id, "_gpl", "");
KSYMTAB_DATA(snd_hda_bus_type, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exec_verb_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_register, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_set_chip_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_modalias, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read, "_gpl", "");
KSYMTAB_FUNC(_snd_hdac_read_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read_parm_uncached, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_override_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_sub_nodes, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_refresh_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_connections, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_format_bits, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spdif_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_query_supported_pcm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_is_supported_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_read, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_write, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_check_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_add_vendor_verb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_write_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_read_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw_once, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_update_rirb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_send_cmd, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_get_response, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_parse_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_enter_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_reset_link, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_handle_stream_irq, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_alloc_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_free_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream_stripe_ctl, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams_and_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup_periods, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_timecounter_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_spbcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_spib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_get_spbmaxfifo, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_drsm_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_wait_drsm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_dpibr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_lpib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_array_new, "_gpl", "");
KSYMTAB_FUNC(snd_array_free, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_print_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_chmap_to_spk_mask, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spk_to_chmap, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_setup_channel_mapping, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_active_channels, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_ch_alloc_from_ca, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_register_chmap_ops, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_set_codec_wakeup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_display_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_audio_rate, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_get_eld, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_register_notifier, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_set_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_init, "_gpl", "");

SYMBOL_CRC(hdac_get_device_id, 0xbdc95f68, "_gpl");
SYMBOL_CRC(snd_hda_bus_type, 0xb3a76b29, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init, 0xc2fb25a8, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit, 0x444c6192, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exec_verb_unlocked, 0xce780988, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_up, 0xb1e23704, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_down, 0xd3c1c391, "_gpl");
SYMBOL_CRC(snd_hdac_device_init, 0x7dba8c81, "_gpl");
SYMBOL_CRC(snd_hdac_device_exit, 0x45f4bd63, "_gpl");
SYMBOL_CRC(snd_hdac_device_register, 0xb668a513, "_gpl");
SYMBOL_CRC(snd_hdac_device_unregister, 0xe8969960, "_gpl");
SYMBOL_CRC(snd_hdac_device_set_chip_name, 0x26a0c6fc, "_gpl");
SYMBOL_CRC(snd_hdac_codec_modalias, 0x16fb77b9, "_gpl");
SYMBOL_CRC(snd_hdac_read, 0xb85c1165, "_gpl");
SYMBOL_CRC(_snd_hdac_read_parm, 0x17200d0b, "_gpl");
SYMBOL_CRC(snd_hdac_read_parm_uncached, 0x8a3ef35d, "_gpl");
SYMBOL_CRC(snd_hdac_override_parm, 0xa0e22a54, "_gpl");
SYMBOL_CRC(snd_hdac_get_sub_nodes, 0xc46f28a9, "_gpl");
SYMBOL_CRC(snd_hdac_refresh_widgets, 0x20ac3bb6, "_gpl");
SYMBOL_CRC(snd_hdac_get_connections, 0xb586723f, "_gpl");
SYMBOL_CRC(snd_hdac_power_up, 0x10cb920d, "_gpl");
SYMBOL_CRC(snd_hdac_power_down, 0x407ea948, "_gpl");
SYMBOL_CRC(snd_hdac_power_up_pm, 0x3329e071, "_gpl");
SYMBOL_CRC(snd_hdac_power_down_pm, 0xc2c10731, "_gpl");
SYMBOL_CRC(snd_hdac_stream_format_bits, 0xdfb2511b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_format, 0xdcb61650, "_gpl");
SYMBOL_CRC(snd_hdac_spdif_stream_format, 0xbfc95c33, "_gpl");
SYMBOL_CRC(snd_hdac_query_supported_pcm, 0x68c48e87, "_gpl");
SYMBOL_CRC(snd_hdac_is_supported_format, 0xa118c998, "_gpl");
SYMBOL_CRC(snd_hdac_codec_read, 0x850c5bdb, "_gpl");
SYMBOL_CRC(snd_hdac_codec_write, 0x77a3120b, "_gpl");
SYMBOL_CRC(snd_hdac_check_power_state, 0x4063ae56, "_gpl");
SYMBOL_CRC(snd_hdac_sync_power_state, 0x82a2c7f4, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_init, 0xd7e62ca3, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_exit, 0x18bdec60, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_add_vendor_verb, 0x5aa54ac4, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_write_raw, 0x32513095, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_read_raw, 0x42717646, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw, 0xe6ba0341, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw_once, 0xe308be10, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_sync, 0x76ce31e4, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_cmd_io, 0x72e9ebe4, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_cmd_io, 0x42be9ac4, "_gpl");
SYMBOL_CRC(snd_hdac_bus_update_rirb, 0x5fe396ac, "_gpl");
SYMBOL_CRC(snd_hdac_bus_send_cmd, 0xdb247d67, "_gpl");
SYMBOL_CRC(snd_hdac_bus_get_response, 0x91900e51, "_gpl");
SYMBOL_CRC(snd_hdac_bus_parse_capabilities, 0xff9ecfee, "_gpl");
SYMBOL_CRC(snd_hdac_bus_enter_link_reset, 0x44581ceb, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit_link_reset, 0x24336459, "_gpl");
SYMBOL_CRC(snd_hdac_bus_reset_link, 0x974d9cd2, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_chip, 0xaf900e3e, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_chip, 0xf3651556, "_gpl");
SYMBOL_CRC(snd_hdac_bus_handle_stream_irq, 0xcd5743c4, "_gpl");
SYMBOL_CRC(snd_hdac_bus_alloc_stream_pages, 0x1a9a5851, "_gpl");
SYMBOL_CRC(snd_hdac_bus_free_stream_pages, 0x5a54d3ef, "_gpl");
SYMBOL_CRC(snd_hdac_bus_link_power, 0x506de81b, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream_stripe_ctl, 0x9e60d25f, "_gpl");
SYMBOL_CRC(snd_hdac_stream_init, 0x9e7d675f, "_gpl");
SYMBOL_CRC(snd_hdac_stream_start, 0x20826c75, "_gpl");
SYMBOL_CRC(snd_hdac_stream_stop, 0x9bb618f8, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams, 0x699327a0, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams_and_chip, 0x13556267, "_gpl");
SYMBOL_CRC(snd_hdac_stream_reset, 0x3d96d2d6, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup, 0xbb0789bc, "_gpl");
SYMBOL_CRC(snd_hdac_stream_cleanup, 0xd6daa6ef, "_gpl");
SYMBOL_CRC(snd_hdac_stream_assign, 0xc42d12c2, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release_locked, 0xcce9735e, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release, 0x2bae308e, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream, 0x2d7bb486, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup_periods, 0x02355ccd, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_params, 0x183aac1f, "_gpl");
SYMBOL_CRC(snd_hdac_stream_timecounter_init, 0xac7e83b5, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync_trigger, 0x04165e37, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync, 0x053803ea, "_gpl");
SYMBOL_CRC(snd_hdac_stream_spbcap_enable, 0xca316b79, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_spib, 0x7242df27, "_gpl");
SYMBOL_CRC(snd_hdac_stream_get_spbmaxfifo, 0xbf47463a, "_gpl");
SYMBOL_CRC(snd_hdac_stream_drsm_enable, 0x41f01df2, "_gpl");
SYMBOL_CRC(snd_hdac_stream_wait_drsm, 0x48a2cf6c, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_dpibr, 0x4be9eec4, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_lpib, 0xddc9c32b, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_prepare, 0xa27ee392, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_trigger, 0xb8994bbb, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_cleanup, 0x9f7ff7f9, "_gpl");
SYMBOL_CRC(snd_array_new, 0xbe7dd7dc, "_gpl");
SYMBOL_CRC(snd_array_free, 0x9a8e1877, "_gpl");
SYMBOL_CRC(snd_hdac_print_channel_allocation, 0xe4e07754, "_gpl");
SYMBOL_CRC(snd_hdac_chmap_to_spk_mask, 0x77c754a8, "_gpl");
SYMBOL_CRC(snd_hdac_spk_to_chmap, 0x67bfe791, "_gpl");
SYMBOL_CRC(snd_hdac_setup_channel_mapping, 0x007d2169, "_gpl");
SYMBOL_CRC(snd_hdac_get_active_channels, 0x3bd544c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_ch_alloc_from_ca, 0x4c7ec4b6, "_gpl");
SYMBOL_CRC(snd_hdac_channel_allocation, 0xfd0bafe3, "_gpl");
SYMBOL_CRC(snd_hdac_register_chmap_ops, 0xce60e6ee, "_gpl");
SYMBOL_CRC(snd_hdac_add_chmap_ctls, 0x3d1b8589, "_gpl");
SYMBOL_CRC(snd_hdac_set_codec_wakeup, 0x1f7b4583, "_gpl");
SYMBOL_CRC(snd_hdac_display_power, 0x5616342d, "_gpl");
SYMBOL_CRC(snd_hdac_sync_audio_rate, 0xfc45adf7, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_get_eld, 0x0e9ebf25, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_register_notifier, 0x8fe9ecc0, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_init, 0x98eac10f, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_exit, 0xe08ceac9, "_gpl");
SYMBOL_CRC(snd_hdac_i915_set_bclk, 0xd24ac25c, "_gpl");
SYMBOL_CRC(snd_hdac_i915_init, 0xd3dd643b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe5da50b5, "snd_sgbuf_get_addr" },
	{ 0x1588a82a, "__dynamic_dev_dbg" },
	{ 0xf0fd12e0, "snd_sgbuf_get_chunk_size" },
	{ 0x92c96c09, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3d6fa9a4, "trace_event_buffer_commit" },
	{ 0xa95cdf54, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc6e2c9b7, "__pm_runtime_set_status" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfa91ff59, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc755f30e, "_dev_info" },
	{ 0x19eea8b2, "module_put" },
	{ 0x58b91d15, "component_match_add_typed" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0xa3c7a433, "perf_trace_run_bpf_submit" },
	{ 0xb8a727a9, "bus_unregister" },
	{ 0x5a9fdad6, "_dev_err" },
	{ 0x28ee6318, "kobject_add" },
	{ 0xbe21514c, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe38cbb17, "__devres_alloc_node" },
	{ 0x4c20eed2, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x475d1a3c, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xacf3770d, "__regmap_init" },
	{ 0x77fb69a2, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0x21311a17, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xbe368c75, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x7baafb0b, "sysfs_remove_group" },
	{ 0x81f89540, "bpf_trace_run3" },
	{ 0x920e11a6, "component_master_del" },
	{ 0x5908f3f9, "regmap_read" },
	{ 0x58042f01, "trace_event_buffer_reserve" },
	{ 0x084eecef, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6a79224e, "component_bind_all" },
	{ 0x1f2c54dd, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe385f704, "snd_pcm_hw_params_bits" },
	{ 0x6ed8134f, "kobject_uevent" },
	{ 0x62bb09bf, "clocks_calc_mult_shift" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x863eec24, "pci_match_id" },
	{ 0xc15a8e0a, "devres_find" },
	{ 0x0eccdc38, "regmap_update_bits_base" },
	{ 0x56847728, "dev_err_probe" },
	{ 0x6ce9a813, "__pm_runtime_suspend" },
	{ 0x5c7117ed, "regmap_exit" },
	{ 0x754d539c, "strlen" },
	{ 0x033c6665, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x61dcbd41, "component_unbind_all" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x18c59a75, "pci_bus_type" },
	{ 0xad203384, "kmalloc_caches" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0x6ff19bdf, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb1b6a215, "kobject_put" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3cd309c5, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x390a892a, "regcache_sync" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa812d07d, "regmap_write" },
	{ 0x46ec1e92, "snd_dma_alloc_dir_pages" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x8e9259af, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xef8601d7, "component_master_add_with_match" },
	{ 0xaefd9c36, "trace_raw_output_prep" },
	{ 0x70f0c031, "snd_pcm_add_chmap_ctls" },
	{ 0xa42d29dc, "pci_dev_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x766953c9, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x0298d65d, "pci_get_device" },
	{ 0x480fb84f, "trace_event_printf" },
	{ 0x17dc08c8, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x3e9c9d22, "pm_runtime_get_if_active" },
	{ 0x62302bec, "kobject_init" },
	{ 0x80d3e7f6, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xb229af5c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x037a0cba, "kfree" },
	{ 0x1b3d1133, "regcache_reg_cached" },
	{ 0x34cb789f, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd44df17e, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0xae778c8b, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm");


MODULE_INFO(srcversion, "7F190FC1032A05C8F2C4B9B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
