#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_system_suspend, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_late, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_early, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume, "_gpl", "");
KSYMTAB_FUNC(cs35l56_common_probe, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_init, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_remove, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_DATA(cs35l56_pm_ops_i2c_spi, "_gpl", "SND_SOC_CS35L56_CORE");

SYMBOL_CRC(cs35l56_system_suspend, 0xd8c779a8, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0xbc14b38b, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0x24c9851f, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0x6b8bb15c, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0x781e87d4, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0x8c7f458a, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0xba7688dc, "_gpl");
SYMBOL_CRC(cs35l56_init, 0xfcfab360, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0x4d1d9dda, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0x347bb29c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x22811808, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdf5ed88a, "devm_gpiod_get_optional" },
	{ 0xfafa4fa3, "wm_adsp_stop" },
	{ 0x1588a82a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x15d3a5fa, "cs35l56_get_calibration" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc6e2c9b7, "__pm_runtime_set_status" },
	{ 0x6eb3d79b, "devm_snd_soc_register_component" },
	{ 0xd6f882a3, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x35db5eaf, "sdw_write_no_pm" },
	{ 0x5839c31c, "devm_free_irq" },
	{ 0x145481ca, "pm_runtime_enable" },
	{ 0xf9c87405, "fwnode_gpiod_get_index" },
	{ 0x3a0608b6, "regulator_bulk_disable" },
	{ 0xc755f30e, "_dev_info" },
	{ 0x94f5f498, "acpi_dev_remove_driver_gpios" },
	{ 0xe10b688f, "snd_soc_info_volsw" },
	{ 0x1dea23c7, "cs35l56_init_cs_dsp" },
	{ 0x6c4c158c, "wm_adsp_power_down" },
	{ 0x5a9fdad6, "_dev_err" },
	{ 0xf00c7e64, "debugfs_create_bool" },
	{ 0x7737a6b1, "wm_adsp_event" },
	{ 0x05c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x5cbe3cd2, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x0fa4d22d, "cs35l56_calibration_controls" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2f872bbd, "cs35l56_runtime_suspend_common" },
	{ 0x32b6682e, "sdw_read_no_pm" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x27c2b852, "cs35l56_mbox_send" },
	{ 0x9e1eeb1c, "cs35l56_hw_init" },
	{ 0x21311a17, "_dev_warn" },
	{ 0x316b9897, "wm_adsp2_component_probe" },
	{ 0x4d51bf2e, "cs35l56_read_prot_status" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcfe8ff6b, "cs35l56_system_reset" },
	{ 0xa1f54608, "snd_soc_info_enum_double" },
	{ 0x777f3c40, "regulator_bulk_enable" },
	{ 0xaa236a5c, "devm_regulator_bulk_get" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa060a5f4, "wm_adsp2_component_remove" },
	{ 0xbb2cdb14, "cs35l56_wait_for_firmware_boot" },
	{ 0x173d0da1, "devm_kasprintf" },
	{ 0xdc1755da, "snd_soc_get_volsw" },
	{ 0x6389c1c1, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x1330a890, "fwnode_property_present" },
	{ 0x5e4f7ffc, "cs35l56_is_fw_reload_needed" },
	{ 0x5908f3f9, "regmap_read" },
	{ 0xc797ea9d, "snd_soc_put_volsw" },
	{ 0x084eecef, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe2c16f92, "cs_amp_write_cal_coeffs" },
	{ 0x4fb2ae0b, "device_get_named_child_node" },
	{ 0x85f926d9, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x2b178003, "sdw_stream_remove_slave" },
	{ 0x9ac41e62, "cs35l56_runtime_resume_common" },
	{ 0x56d9c416, "dapm_regulator_event" },
	{ 0xe119dbad, "cs35l56_get_speaker_id" },
	{ 0x0754f507, "wm_adsp_run" },
	{ 0x0eccdc38, "regmap_update_bits_base" },
	{ 0xc4969677, "acpi_dev_get_property" },
	{ 0x56847728, "dev_err_probe" },
	{ 0x6ce9a813, "__pm_runtime_suspend" },
	{ 0x01d4878b, "cs35l56_fill_supply_names" },
	{ 0xe011fa46, "__devm_add_action" },
	{ 0xf9c8e218, "snd_soc_dapm_get_enum_double" },
	{ 0x6a7f388f, "__pm_runtime_use_autosuspend" },
	{ 0x12bd3b13, "wm_halo_init" },
	{ 0x8363dd66, "__pm_runtime_disable" },
	{ 0xa7c479f9, "cs35l56_firmware_shutdown" },
	{ 0x56218fd3, "sdw_stream_add_slave" },
	{ 0xd0545bf1, "pm_runtime_force_suspend" },
	{ 0x1142faad, "wm_adsp_power_up" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x45d0271c, "snd_soc_dapm_put_enum_double" },
	{ 0x7c7bcec0, "gpiod_get_value_cansleep" },
	{ 0x9e4e2b0c, "regcache_cache_only" },
	{ 0x42e3bf49, "is_acpi_device_node" },
	{ 0x010507db, "gpiod_put" },
	{ 0x390a892a, "regcache_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa812d07d, "regmap_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x600196b2, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfd84847b, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd81c9f09, "acpi_dev_add_driver_gpios" },
	{ 0x037a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xae778c8b, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-wm-adsp,snd-soc-cs35l56-shared,snd-soc-core,soundwire-bus,snd-soc-cs-amp-lib,snd-pcm");


MODULE_INFO(srcversion, "6072142227690706712F4D7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
