#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(codec_info_list, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_get_codec_info_list_count, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_part, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_acpi, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_codec_info_dai, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_startup, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_prepare, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_trigger, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_hw_params, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_hw_free, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_shutdown, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_get_codec_name, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_mc_find_codec_dai_used, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_mc_dailink_exit_loop, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_card_late_probe, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_init_dai_link, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_init_simple_dai_link, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_count_sdw_endpoints, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_find_dailink, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_parse_sdw_endpoints, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_dmic_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_dmic_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt700_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt711_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt5682_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_sdca_jack_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_DATA(soc_sdw_rt1308_i2s_ops, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_exit, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_amp_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_rt_mf_sdca_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_count_sidecar, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_add_sidecar, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_bridge_cs35l56_spk_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l42_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_hs_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_spk_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs42l43_dmic_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_spk_feedback_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_cs_amp_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_maxim_spk_rtd_init, "", "SND_SOC_SDW_UTILS");
KSYMTAB_FUNC(asoc_sdw_maxim_init, "", "SND_SOC_SDW_UTILS");

SYMBOL_CRC(codec_info_list, 0x16c038e3, "");
SYMBOL_CRC(asoc_sdw_get_codec_info_list_count, 0xcb490bf7, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_part, 0x2efabff8, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_acpi, 0xb5ceb83a, "");
SYMBOL_CRC(asoc_sdw_find_codec_info_dai, 0x68ea6cc9, "");
SYMBOL_CRC(asoc_sdw_rtd_init, 0xb5979ffc, "");
SYMBOL_CRC(asoc_sdw_startup, 0x65b8d159, "");
SYMBOL_CRC(asoc_sdw_prepare, 0x7b8ca2d5, "");
SYMBOL_CRC(asoc_sdw_trigger, 0x06f825bd, "");
SYMBOL_CRC(asoc_sdw_hw_params, 0x6274f778, "");
SYMBOL_CRC(asoc_sdw_hw_free, 0xa214d851, "");
SYMBOL_CRC(asoc_sdw_shutdown, 0x89e5b6d4, "");
SYMBOL_CRC(asoc_sdw_get_codec_name, 0x8295349b, "");
SYMBOL_CRC(asoc_sdw_mc_find_codec_dai_used, 0xa575b843, "");
SYMBOL_CRC(asoc_sdw_mc_dailink_exit_loop, 0x7750eff3, "");
SYMBOL_CRC(asoc_sdw_card_late_probe, 0x4dc0966a, "");
SYMBOL_CRC(asoc_sdw_init_dai_link, 0x2bfd9d72, "");
SYMBOL_CRC(asoc_sdw_init_simple_dai_link, 0x24190769, "");
SYMBOL_CRC(asoc_sdw_count_sdw_endpoints, 0x241a0dd1, "");
SYMBOL_CRC(asoc_sdw_find_dailink, 0x2bed0fe8, "");
SYMBOL_CRC(asoc_sdw_parse_sdw_endpoints, 0x2f1d1712, "");
SYMBOL_CRC(asoc_sdw_dmic_init, 0x3144a787, "");
SYMBOL_CRC(asoc_sdw_rt_dmic_rtd_init, 0x38acdea2, "");
SYMBOL_CRC(asoc_sdw_rt700_rtd_init, 0xd97b1959, "");
SYMBOL_CRC(asoc_sdw_rt711_rtd_init, 0x00ae9544, "");
SYMBOL_CRC(asoc_sdw_rt711_exit, 0x446c82ec, "");
SYMBOL_CRC(asoc_sdw_rt711_init, 0xf47c4687, "");
SYMBOL_CRC(asoc_sdw_rt5682_rtd_init, 0x6f377061, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_rtd_init, 0x46b3af67, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_exit, 0xe4614a81, "");
SYMBOL_CRC(asoc_sdw_rt_sdca_jack_init, 0xf131e995, "");
SYMBOL_CRC(asoc_sdw_rt_amp_spk_rtd_init, 0x163c9f45, "");
SYMBOL_CRC(soc_sdw_rt1308_i2s_ops, 0xf49d199a, "");
SYMBOL_CRC(asoc_sdw_rt_amp_exit, 0x95806ea5, "");
SYMBOL_CRC(asoc_sdw_rt_amp_init, 0x072bec7c, "");
SYMBOL_CRC(asoc_sdw_rt_mf_sdca_spk_rtd_init, 0x419ae01a, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_count_sidecar, 0x6a9036f3, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_add_sidecar, 0x69d57e05, "");
SYMBOL_CRC(asoc_sdw_bridge_cs35l56_spk_init, 0x282a6808, "");
SYMBOL_CRC(asoc_sdw_cs42l42_rtd_init, 0xc8d5c828, "");
SYMBOL_CRC(asoc_sdw_cs42l43_hs_rtd_init, 0xf30c8a30, "");
SYMBOL_CRC(asoc_sdw_cs42l43_spk_rtd_init, 0x73679d77, "");
SYMBOL_CRC(asoc_sdw_cs42l43_spk_init, 0x96bfe60d, "");
SYMBOL_CRC(asoc_sdw_cs42l43_dmic_rtd_init, 0x2f99f06a, "");
SYMBOL_CRC(asoc_sdw_cs_spk_rtd_init, 0x23ff4dac, "");
SYMBOL_CRC(asoc_sdw_cs_spk_feedback_rtd_init, 0x829b35b0, "");
SYMBOL_CRC(asoc_sdw_cs_amp_init, 0x5de9405d, "");
SYMBOL_CRC(asoc_sdw_maxim_spk_rtd_init, 0xf2fac1f3, "");
SYMBOL_CRC(asoc_sdw_maxim_init, 0xa38d2084, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x518021eb, "snd_soc_dai_set_tdm_slot" },
	{ 0x25337045, "snd_soc_dapm_enable_pin" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcc53c2c4, "snd_soc_dapm_disable_pin" },
	{ 0xdb41668a, "snd_soc_component_set_sysclk" },
	{ 0x44e5a092, "snd_soc_dai_set_sysclk" },
	{ 0x1588a82a, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x58bfc8b6, "snd_soc_dapm_sync" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xff2e9b08, "snd_soc_component_set_jack" },
	{ 0xd6f882a3, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfa91ff59, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x09d4b0c7, "fwnode_create_software_node" },
	{ 0x81bb5a00, "snd_soc_dapm_get_pin_switch" },
	{ 0x9542f962, "sdw_disable_stream" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x5a9fdad6, "_dev_err" },
	{ 0xa9be85e7, "bus_find_device" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x6f95b16b, "sdw_shutdown_stream" },
	{ 0x3b0a8582, "sdw_startup_stream" },
	{ 0xa8156c84, "sdw_deprepare_stream" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x21311a17, "_dev_warn" },
	{ 0x1180d378, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc05227bf, "device_remove_software_node" },
	{ 0xf27d3bbb, "snd_jack_set_key" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x173d0da1, "devm_kasprintf" },
	{ 0x17d7228c, "snd_soc_card_jack_new_pins" },
	{ 0xb3dcf415, "snd_soc_dai_set_pll" },
	{ 0xc2cfa84d, "snd_soc_dapm_new_controls" },
	{ 0x62705df3, "sdw_enable_stream" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xfffd44b1, "snd_soc_dapm_put_pin_switch" },
	{ 0x50a1719a, "device_match_name" },
	{ 0xd458e738, "snd_soc_dapm_info_pin_switch" },
	{ 0x778d9661, "snd_soc_add_card_controls" },
	{ 0x004bfa7a, "device_add_software_node" },
	{ 0x16b0d46c, "snd_soc_find_dai" },
	{ 0xcf4d01b6, "sdw_prepare_stream" },
	{ 0x050877b9, "dmi_first_match" },
	{ 0x7ca5526f, "sdw_bus_type" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x4aafc03a, "devm_kmalloc" },
	{ 0x5f06eeba, "to_software_node" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xae778c8b, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,soundwire-bus,snd");


MODULE_INFO(srcversion, "77A66FBD94491C5980FAACF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
