#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mtl_dsp_check_ipc_irq, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_send_msg, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_disable_ipc_interrupts, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_enable_interrupts, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_pre_fw_run, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_dump, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_power_down_dsp, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_cl_init, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_ipc_get_mailbox_offset, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_ipc_get_window_offset, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_dump, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_core_get, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_core_put, "", "SND_SOC_SOF_INTEL_MTL");

SYMBOL_CRC(mtl_dsp_check_ipc_irq, 0x49e01f37, "");
SYMBOL_CRC(mtl_ipc_send_msg, 0x9d116ecb, "");
SYMBOL_CRC(mtl_disable_ipc_interrupts, 0x5034ea09, "");
SYMBOL_CRC(mtl_enable_interrupts, 0xa4599a52, "");
SYMBOL_CRC(mtl_dsp_pre_fw_run, 0x8b56c433, "");
SYMBOL_CRC(mtl_dsp_post_fw_run, 0x9f9ffb8a, "");
SYMBOL_CRC(mtl_dsp_dump, 0xb9df7de0, "");
SYMBOL_CRC(mtl_power_down_dsp, 0x2a2da5ef, "");
SYMBOL_CRC(mtl_dsp_cl_init, 0x87cafb9b, "");
SYMBOL_CRC(mtl_ipc_irq_thread, 0x8001c2bf, "");
SYMBOL_CRC(mtl_dsp_ipc_get_mailbox_offset, 0x81781c7d, "");
SYMBOL_CRC(mtl_dsp_ipc_get_window_offset, 0x1b282014, "");
SYMBOL_CRC(mtl_ipc_dump, 0x4172df2a, "");
SYMBOL_CRC(mtl_dsp_core_get, 0x17fed78a, "");
SYMBOL_CRC(mtl_dsp_core_put, 0xab062b42, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1a0f3922, "__pci_register_driver" },
	{ 0x037a0cba, "kfree" },
	{ 0x34cb789f, "pcpu_hot" },
	{ 0x7458f769, "hda_dsp_set_power_state_ipc4" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcef0547c, "sof_ipc4_intel_dump_telemetry_state" },
	{ 0x1588a82a, "__dynamic_dev_dbg" },
	{ 0x22d77838, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe66d7a61, "sof_hda_common_ops" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x428c62e1, "hda_sdw_check_lcount_common" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b37f935, "__SCT__tp_func_sof_intel_hda_irq_ipc_check" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1da27955, "hda_pci_intel_probe" },
	{ 0xb5e511f7, "snd_sof_dsp_dbg_dump" },
	{ 0xc6c2f4ab, "sof_mailbox_write" },
	{ 0x5a9fdad6, "_dev_err" },
	{ 0xf00c7e64, "debugfs_create_bool" },
	{ 0x9fb90747, "snd_sof_dsp_update_bits_forced" },
	{ 0xe21e816e, "sof_pci_remove" },
	{ 0x3ae060ad, "snd_soc_acpi_intel_mtl_machines" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xdc76d15b, "hda_set_dai_drv_ops" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcb240612, "snd_sof_ipc_get_reply" },
	{ 0x47338022, "snd_sof_dsp_update_bits" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x6e9c8c7d, "__SCK__tp_func_sof_intel_hda_irq_ipc_check" },
	{ 0x3f295233, "snd_sof_ipc_reply" },
	{ 0x767efcc9, "hda_ipc4_tx_is_busy" },
	{ 0x68ab3fb2, "__tracepoint_sof_intel_hda_irq_ipc_check" },
	{ 0xe6cd20c0, "hda_ops_free" },
	{ 0x11a1e2d1, "sof_pci_shutdown" },
	{ 0x1f2c54dd, "__kmalloc_cache_noprof" },
	{ 0xe659300f, "hda_sdw_process_wakeen_common" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x0ad31dab, "hda_dsp_get_state" },
	{ 0xe29a5993, "hda_dsp_ipc4_load_library" },
	{ 0xbc4d3607, "hda_dsp_ipc4_schedule_d0i3_work" },
	{ 0xa10a186b, "sof_pci_pm" },
	{ 0xd08499f3, "snd_soc_acpi_intel_arl_sdw_machines" },
	{ 0x63ac09eb, "snd_soc_acpi_intel_mtl_sdw_machines" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xad203384, "kmalloc_caches" },
	{ 0xd955035e, "hda_sdw_check_wakeen_irq_common" },
	{ 0xfc696118, "snd_soc_acpi_intel_arl_machines" },
	{ 0x59179b28, "hda_dsp_shutdown" },
	{ 0x45d8a6e7, "hda_sdw_int_enable" },
	{ 0xd7245703, "hda_sdw_startup" },
	{ 0xae778c8b, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-common,snd-sof-intel-hda-generic,snd-sof,snd-sof-pci,snd-soc-acpi-intel-match");

MODULE_ALIAS("pci:v00008086d00007E28sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007F50sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "252A129CF5CC6CE6B15408F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
